<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" version="1.0"><!--Importing stylesheet additions-->
   <axsl:output method="text"/><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>

<!--PHASES-->


<!--PROLOG-->


<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
            <axsl:variable name="p" select="1+    count(preceding-sibling::*[name()=name(current())])"/>
            <axsl:if test="$p&gt;1 or following-sibling::*[name()=name(current())]">[<axsl:value-of select="$p"/>]</axsl:if>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
            <axsl:variable name="p" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])"/>
            <axsl:if test="$p&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<axsl:value-of select="$p"/>]</axsl:if>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA METADATA-->

   <axsl:template match="/"><!--Root node processing collects all assertions-->
      <axsl:variable name="result">
         <axsl:apply-templates select="/" mode="M2"/>
      </axsl:variable>
      <axsl:if test="normalize-space(string($result))">
         <axsl:message terminate="yes">
            <axsl:value-of select="string($result)" disable-output-escaping="yes"/>
         </axsl:message>
      </axsl:if>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN UBL-QualifiedDataTypes-2.0-->


	<!--RULE -->

   <axsl:template match="@currencyID" priority="1020" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(../@currencyCodeListVersionID!='2001') ) and contains('AEDAFNALLAMDANGAOAARSAUDAWGAZMBAMBBDBDTBGNBHDBIFBMDBNDBOBBRLBSDBTNBWPBYRBZDCADCDFCHFCLPCNYCOPCRCCUPCVECYPCZKDJFDKKDOPDZDEEKEGPERNETBEURFJDFKPGBPGELGHCGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDIRRISKJMDJODJPYKESKGSKHRKMFKPWKRWKWDKYDKZTLAKLBPLKRLRDLSLLTLLVLLYDMADMDLMGFMKDMMKMNTMOPMROMTLMURMVRMWKMXNMYRMZMNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARROLRUBRWFSARSBDSCRSDDSEKSGDSHPSITSKKSLLSOSSRGSTDSVCSYPSZLTHBTJSTMMTNDTOPTRLTTDTWDTZSUAHUGXUSDUYUUZSVEBVNDVUVWSTXAFXAGXAUXCDXDRXOFXPDXPFXPTYERYUMZARZMKZWD',concat('',.,'')) ) or ( ( not(../@currencyCodeListVersionID!='2012-01-12') ) and contains('AEDAFNALLAMDANGAOAARSAUDAWGAZNBAMBBDBDTBGNBHDBIFBMDBNDBOBBOVBRLBSDBTNBWPBYRBZDCADCDFCHECHFCHWCLFCLPCNYCOPCOUCRCCUCCUPCVECZKDJFDKKDOPDZDEGPERNETBEURFJDFKPGBPGELGHSGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDIRRISKJMDJODJPYKESKGSKHRKMFKPWKRWKWDKYDKZTLAKLBPLKRLRDLSLLTLLVLLYDMADMDLMGAMKDMMKMNTMOPMROMURMVRMWKMXNMXVMYRMZNNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARRONRSDRUBRWFSARSBDSCRSDGSEKSGDSHPSLLSOSSRDSSPSTDSVCSYPSZLTHBTJSTMTTNDTOPTRYTTDTWDTZSUAHUGXUSDUSNUSSUYIUYUUZSVEFVNDVUVWSTXAFXAGXAUXBAXBBXBCXBDXCDXDRXFUXOFXPDXPFXPTXSUXTSXUAXXXYERZARZMKZWL',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'Currency-2.0 Currency-2.1' in the context '@currencyID'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="@mimeCode" priority="1019" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( contains('application/CSTAdata+xmlapplication/EDI-Consentapplication/EDI-X12application/EDIFACTapplication/activemessageapplication/andrew-insetapplication/applefileapplication/atomicmailapplication/batch-SMTPapplication/beep+xmlapplication/cals-1840application/cnrp+xmlapplication/commongroundapplication/cpl+xmlapplication/csta+xmlapplication/cybercashapplication/dca-rftapplication/dec-dxapplication/dialog-info+xmlapplication/dicomapplication/dnsapplication/dvcsapplication/epp+xmlapplication/eshopapplication/fitsapplication/font-tdpfrapplication/httpapplication/hyperstudioapplication/igesapplication/im-iscomposing+xmlapplication/indexapplication/index.cmdapplication/index.objapplication/index.responseapplication/index.vndapplication/iotpapplication/ippapplication/isupapplication/kpml-request+xmlapplication/kpml-response+xmlapplication/mac-binhex40application/macwriteiiapplication/marcapplication/mathematicaapplication/mboxapplication/mikeyapplication/mpeg4-genericapplication/mswordapplication/news-message-idapplication/news-transmissionapplication/ocsp-requestapplication/ocsp-responseapplication/octet-streamapplication/odaapplication/oggapplication/parityfecapplication/pdfapplication/pgp-encryptedapplication/pgp-keysapplication/pgp-signatureapplication/pidf+xmlapplication/pkcs10application/pkcs7-mimeapplication/pkcs7-signatureapplication/pkix-certapplication/pkix-crlapplication/pkix-pkipathapplication/pkixcmpapplication/postscriptapplication/prs.alvestrand.titrax-sheetapplication/prs.cwwapplication/prs.nprendapplication/prs.pluckerapplication/qsigapplication/rdf+xmlapplication/reginfo+xmlapplication/remote-printingapplication/resource-lists+xmlapplication/riscosapplication/rls-services+xmlapplication/rtfapplication/samlassertion+xmlapplication/samlmetadata+xmlapplication/sbml+xmlapplication/sdpapplication/set-paymentapplication/set-payment-initiationapplication/set-registrationapplication/set-registration-initiationapplication/sgmlapplication/sgml-open-catalogapplication/shf+xmlapplication/sieveapplication/simple-filter+xmlapplication/simple-message-summaryapplication/slateapplication/soap+xmlapplication/spirits-event+xmlapplication/timestamp-queryapplication/timestamp-replyapplication/tve-triggerapplication/vemmiapplication/vnd.3M.Post-it-Notesapplication/vnd.3gpp.pic-bw-largeapplication/vnd.3gpp.pic-bw-smallapplication/vnd.3gpp.pic-bw-varapplication/vnd.3gpp.smsapplication/vnd.FloGraphItapplication/vnd.Kinarapplication/vnd.Mobius.DAFapplication/vnd.Mobius.DISapplication/vnd.Mobius.MBKapplication/vnd.Mobius.MQYapplication/vnd.Mobius.MSLapplication/vnd.Mobius.PLCapplication/vnd.Mobius.TXFapplication/vnd.Quark.QuarkXPressapplication/vnd.RenLearn.rlprintapplication/vnd.accpac.simply.asoapplication/vnd.accpac.simply.impapplication/vnd.acucobolapplication/vnd.acucorpapplication/vnd.adobe.xfdfapplication/vnd.aether.impapplication/vnd.amiga.amiapplication/vnd.anser-web-certificate-issue-initiationapplication/vnd.anser-web-funds-transfer-initiationapplication/vnd.audiographapplication/vnd.blueice.multipassapplication/vnd.bmiapplication/vnd.businessobjectsapplication/vnd.canon-cpdlapplication/vnd.canon-lipsapplication/vnd.cinderellaapplication/vnd.claymoreapplication/vnd.commerce-battelleapplication/vnd.commonspaceapplication/vnd.contact.cmsgapplication/vnd.cosmocallerapplication/vnd.criticaltools.wbs+xmlapplication/vnd.ctc-posmlapplication/vnd.cups-postscriptapplication/vnd.cups-rasterapplication/vnd.cups-rawapplication/vnd.curlapplication/vnd.cybankapplication/vnd.data-vision.rdzapplication/vnd.dnaapplication/vnd.dpgraphapplication/vnd.dreamfactoryapplication/vnd.dxrapplication/vnd.ecdis-updateapplication/vnd.ecowin.chartapplication/vnd.ecowin.filerequestapplication/vnd.ecowin.fileupdateapplication/vnd.ecowin.seriesapplication/vnd.ecowin.seriesrequestapplication/vnd.ecowin.seriesupdateapplication/vnd.enlivenapplication/vnd.epson.esfapplication/vnd.epson.msfapplication/vnd.epson.quickanimeapplication/vnd.epson.saltapplication/vnd.epson.ssfapplication/vnd.ericsson.quickcallapplication/vnd.eudora.dataapplication/vnd.fdfapplication/vnd.ffsnsapplication/vnd.fintsapplication/vnd.framemakerapplication/vnd.fsc.weblaunchapplication/vnd.fujitsu.oasysapplication/vnd.fujitsu.oasys2application/vnd.fujitsu.oasys3application/vnd.fujitsu.oasysgpapplication/vnd.fujitsu.oasysprsapplication/vnd.fujixerox.dddapplication/vnd.fujixerox.docuworksapplication/vnd.fujixerox.docuworks.binderapplication/vnd.fut-misnetapplication/vnd.genomatix.tuxedoapplication/vnd.grafeqapplication/vnd.groove-accountapplication/vnd.groove-helpapplication/vnd.groove-identity-messageapplication/vnd.groove-injectorapplication/vnd.groove-tool-messageapplication/vnd.groove-tool-templateapplication/vnd.groove-vcardapplication/vnd.hbciapplication/vnd.hcl-bireportsapplication/vnd.hhe.lesson-playerapplication/vnd.hp-HPGLapplication/vnd.hp-PCLapplication/vnd.hp-PCLXLapplication/vnd.hp-hpidapplication/vnd.hp-hpsapplication/vnd.httphoneapplication/vnd.hzn-3d-crosswordapplication/vnd.ibm.MiniPayapplication/vnd.ibm.afplinedataapplication/vnd.ibm.electronic-mediaapplication/vnd.ibm.modcapapplication/vnd.ibm.rights-managementapplication/vnd.ibm.secure-containerapplication/vnd.informix-visionaryapplication/vnd.intercon.formnetapplication/vnd.intertrust.digiboxapplication/vnd.intertrust.nncpapplication/vnd.intu.qboapplication/vnd.intu.qfxapplication/vnd.ipunplugged.rcprofileapplication/vnd.irepository.package+xmlapplication/vnd.is-xprapplication/vnd.japannet-directory-serviceapplication/vnd.japannet-jpnstore-wakeupapplication/vnd.japannet-payment-wakeupapplication/vnd.japannet-registrationapplication/vnd.japannet-registration-wakeupapplication/vnd.japannet-setstore-wakeupapplication/vnd.japannet-verificationapplication/vnd.japannet-verification-wakeupapplication/vnd.jispapplication/vnd.kde.karbonapplication/vnd.kde.kchartapplication/vnd.kde.kformulaapplication/vnd.kde.kivioapplication/vnd.kde.kontourapplication/vnd.kde.kpresenterapplication/vnd.kde.kspreadapplication/vnd.kde.kwordapplication/vnd.kenameaappapplication/vnd.kidspirationapplication/vnd.koanapplication/vnd.liberty-request+xmlapplication/vnd.llamagraphics.life-balance.desktopapplication/vnd.llamagraphics.life-balance.exchange+xmlapplication/vnd.lotus-1-2-3application/vnd.lotus-approachapplication/vnd.lotus-freelanceapplication/vnd.lotus-notesapplication/vnd.lotus-organizerapplication/vnd.lotus-screencamapplication/vnd.lotus-wordproapplication/vnd.mcdapplication/vnd.mediastation.cdkeyapplication/vnd.meridian-slingshotapplication/vnd.mfmpapplication/vnd.micrografx.floapplication/vnd.micrografx.igxapplication/vnd.mifapplication/vnd.minisoft-hp3000-saveapplication/vnd.mitsubishi.misty-guard.trustwebapplication/vnd.mophun.applicationapplication/vnd.mophun.certificateapplication/vnd.motorola.flexsuiteapplication/vnd.motorola.flexsuite.adsiapplication/vnd.motorola.flexsuite.fisapplication/vnd.motorola.flexsuite.gotapapplication/vnd.motorola.flexsuite.kmrapplication/vnd.motorola.flexsuite.ttcapplication/vnd.motorola.flexsuite.wemapplication/vnd.mozilla.xul+xmlapplication/vnd.ms-artgalryapplication/vnd.ms-asfapplication/vnd.ms-excelapplication/vnd.ms-lrmapplication/vnd.ms-powerpointapplication/vnd.ms-projectapplication/vnd.ms-tnefapplication/vnd.ms-worksapplication/vnd.ms-wplapplication/vnd.mseqapplication/vnd.msignapplication/vnd.music-niffapplication/vnd.musicianapplication/vnd.nervanaapplication/vnd.netfpxapplication/vnd.noblenet-directoryapplication/vnd.noblenet-sealerapplication/vnd.noblenet-webapplication/vnd.nokia.landmark+wbxmlapplication/vnd.nokia.landmark+xmlapplication/vnd.nokia.landmarkcollection+xmlapplication/vnd.nokia.radio-presetapplication/vnd.nokia.radio-presetsapplication/vnd.novadigm.EDMapplication/vnd.novadigm.EDXapplication/vnd.novadigm.EXTapplication/vnd.obnapplication/vnd.omads-email+xmlapplication/vnd.omads-file+xmlapplication/vnd.omads-folder+xmlapplication/vnd.osa.netdeployapplication/vnd.palmapplication/vnd.paos.xmlapplication/vnd.pg.formatapplication/vnd.pg.osasliapplication/vnd.picselapplication/vnd.powerbuilder6application/vnd.powerbuilder6-sapplication/vnd.powerbuilder7application/vnd.powerbuilder7-sapplication/vnd.powerbuilder75application/vnd.powerbuilder75-sapplication/vnd.previewsystems.boxapplication/vnd.publishare-delta-treeapplication/vnd.pvi.ptid1application/vnd.pwg-multiplexedapplication/vnd.pwg-xhtml-print+xmlapplication/vnd.rapidapplication/vnd.s3smsapplication/vnd.sealed.docapplication/vnd.sealed.emlapplication/vnd.sealed.mhtapplication/vnd.sealed.netapplication/vnd.sealed.pptapplication/vnd.sealed.xlsapplication/vnd.sealedmedia.softseal.htmlapplication/vnd.sealedmedia.softseal.pdfapplication/vnd.seemailapplication/vnd.shana.informed.formdataapplication/vnd.shana.informed.formtemplateapplication/vnd.shana.informed.interchangeapplication/vnd.shana.informed.packageapplication/vnd.smafapplication/vnd.sss-codapplication/vnd.sss-dtfapplication/vnd.sss-ntfapplication/vnd.street-streamapplication/vnd.sus-calendarapplication/vnd.svdapplication/vnd.swiftview-icsapplication/vnd.syncml.+xmlapplication/vnd.syncml.ds.notificationapplication/vnd.triscape.mxsapplication/vnd.trueappapplication/vnd.truedocapplication/vnd.ufdlapplication/vnd.uiq.themeapplication/vnd.uplanet.alertapplication/vnd.uplanet.alert-wbxmlapplication/vnd.uplanet.bearer-choiceapplication/vnd.uplanet.bearer-choice-wbxmlapplication/vnd.uplanet.cacheopapplication/vnd.uplanet.cacheop-wbxmlapplication/vnd.uplanet.channelapplication/vnd.uplanet.channel-wbxmlapplication/vnd.uplanet.listapplication/vnd.uplanet.list-wbxmlapplication/vnd.uplanet.listcmdapplication/vnd.uplanet.listcmd-wbxmlapplication/vnd.uplanet.signalapplication/vnd.vcxapplication/vnd.vectorworksapplication/vnd.vidsoft.vidconferenceapplication/vnd.visioapplication/vnd.visionaryapplication/vnd.vividence.scriptfileapplication/vnd.vsfapplication/vnd.wap.sicapplication/vnd.wap.slcapplication/vnd.wap.wbxmlapplication/vnd.wap.wmlcapplication/vnd.wap.wmlscriptcapplication/vnd.webturboapplication/vnd.wordperfectapplication/vnd.wqdapplication/vnd.wrq-hp3000-labelledapplication/vnd.wt.stfapplication/vnd.wv.csp+wbxmlapplication/vnd.wv.csp+xmlapplication/vnd.wv.ssp+xmlapplication/vnd.xaraapplication/vnd.xfdlapplication/vnd.yamaha.hv-dicapplication/vnd.yamaha.hv-scriptapplication/vnd.yamaha.hv-voiceapplication/vnd.yamaha.smaf-audioapplication/vnd.yamaha.smaf-phraseapplication/vnd.yellowriver-custom-menuapplication/watcherinfo+xmlapplication/whoispp-queryapplication/whoispp-responseapplication/witaapplication/wordperfect5.1application/x400-bpapplication/xhtml+xmlapplication/xmlapplication/xml-dtdapplication/xml-external-parsed-entityapplication/xmpp+xmlapplication/xop+xmlapplication/zipaudio/32kadpcmaudio/3gppaudio/AMRaudio/AMR-WBaudio/BV16audio/BV32audio/CNaudio/DAT12audio/DVI4audio/EVRCaudio/EVRC-QCPaudio/EVRC0audio/G.722.1audio/G722audio/G723audio/G726-16audio/G726-24audio/G726-32audio/G726-40audio/G728audio/G729audio/G729Daudio/G729Eaudio/GSMaudio/GSM-EFRaudio/L16audio/L20audio/L24audio/L8audio/LPCaudio/MP4A-LATMaudio/MPAaudio/PCMAaudio/PCMUaudio/QCELPaudio/REDaudio/SMVaudio/SMV-QCPaudio/SMV0audio/VDVIaudio/basicaudio/clearmodeaudio/dsr-es201108audio/dsr-es202050audio/dsr-es202211audio/dsr-es202212audio/iLBCaudio/mpa-robustaudio/mpegaudio/mpeg4-genericaudio/parityfecaudio/prs.sidaudio/telephone-eventaudio/toneaudio/vnd.3gpp.iufpaudio/vnd.audiokozaudio/vnd.cisco.nseaudio/vnd.cns.anp1audio/vnd.cns.inf1audio/vnd.digital-windsaudio/vnd.everad.pljaudio/vnd.lucent.voiceaudio/vnd.nokia.mobile-xmfaudio/vnd.nortel.vbkaudio/vnd.nuera.ecelp4800audio/vnd.nuera.ecelp7470audio/vnd.nuera.ecelp9600audio/vnd.octel.sbcaudio/vnd.qcelpaudio/vnd.rhetorex.32kadpcmaudio/vnd.sealedmedia.softseal.mpegaudio/vnd.vmx.cvsdimage/cgmimage/fitsimage/g3faximage/gifimage/iefimage/jp2image/jpegimage/jpmimage/jpximage/naplpsimage/pngimage/prs.btifimage/prs.ptiimage/t38image/tiffimage/tiff-fximage/vnd.cns.inf2image/vnd.djvuimage/vnd.dwgimage/vnd.dxfimage/vnd.fastbidsheetimage/vnd.fpximage/vnd.fstimage/vnd.fujixerox.edmics-mmrimage/vnd.fujixerox.edmics-rlcimage/vnd.globalgraphics.pgbimage/vnd.microsoft.iconimage/vnd.miximage/vnd.ms-modiimage/vnd.net-fpximage/vnd.sealed.pngimage/vnd.sealedmedia.softseal.gifimage/vnd.sealedmedia.softseal.jpgimage/vnd.svfimage/vnd.wap.wbmpimage/vnd.xiffmessage/CPIMmessage/delivery-statusmessage/disposition-notificationmessage/external-bodymessage/httpmessage/newsmessage/partialmessage/rfc822message/s-httpmessage/sipmessage/sipfragmessage/tracking-statusmodel/igesmodel/meshmodel/vnd.dwfmodel/vnd.flatland.3dmlmodel/vnd.gdlmodel/vnd.gs-gdlmodel/vnd.gtwmodel/vnd.mtsmodel/vnd.parasolid.transmit.binarymodel/vnd.parasolid.transmit.textmodel/vnd.vtumodel/vrmlmultipart/alternativemultipart/appledoublemultipart/byterangesmultipart/digestmultipart/encryptedmultipart/form-datamultipart/header-setmultipart/mixedmultipart/parallelmultipart/relatedmultipart/reportmultipart/signedmultipart/voice-messagetext/REDtext/calendartext/csstext/csvtext/directorytext/dnstext/enrichedtext/htmltext/parityfectext/plaintext/prs.fallenstein.rsttext/prs.lines.tagtext/rfc822-headerstext/richtexttext/rtftext/sgmltext/t140text/tab-separated-valuestext/trofftext/uri-listtext/vnd.DMClientScripttext/vnd.IPTC.NITFtext/vnd.IPTC.NewsMLtext/vnd.abctext/vnd.curltext/vnd.esmertec.theme-descriptortext/vnd.flytext/vnd.fmi.flexstortext/vnd.in3d.3dmltext/vnd.in3d.spottext/vnd.latex-ztext/vnd.motorola.reflextext/vnd.ms-mediapackagetext/vnd.net2phone.commcenter.commandtext/vnd.sun.j2me.app-descriptortext/vnd.wap.sitext/vnd.wap.sltext/vnd.wap.wmltext/vnd.wap.wmlscripttext/xmltext/xml-external-parsed-entityvideo/3gppvideo/BMPEGvideo/BT656video/CelBvideo/DVvideo/H261video/H263video/H263-1998video/H263-2000video/H264video/JPEGvideo/MJ2video/MP1Svideo/MP2Pvideo/MP2Tvideo/MP4V-ESvideo/MPVvideo/SMPTE292Mvideo/mpegvideo/mpeg4-genericvideo/nvvideo/parityfecvideo/pointervideo/quicktimevideo/rawvideo/vnd.fvtvideo/vnd.motorola.videovideo/vnd.motorola.videopvideo/vnd.mpegurlvideo/vnd.nokia.interleaved-multimediavideo/vnd.objectvideovideo/vnd.sealed.mpeg1video/vnd.sealed.mpeg4video/vnd.sealed.swfvideo/vnd.sealedmedia.softseal.movvideo/vnd.vivo',concat('',.,'')) ) or ( contains('application/1d-interleaved-parityfecapplication/3gpp-ims+xmlapplication/activemessageapplication/andrew-insetapplication/applefileapplication/atom+xmlapplication/atomicmailapplication/atomcat+xmlapplication/atomsvc+xmlapplication/auth-policy+xmlapplication/batch-SMTPapplication/beep+xmlapplication/calendar+xmlapplication/cals-1840application/ccmp+xmlapplication/ccxml+xmlapplication/cdmi-capabilityapplication/cdmi-containerapplication/cdmi-domainapplication/cdmi-objectapplication/cdmi-queueapplication/cea-2018+xmlapplication/cellml+xmlapplication/cfwapplication/cnrp+xmlapplication/commongroundapplication/conference-info+xmlapplication/cpl+xmlapplication/csta+xmlapplication/CSTAdata+xmlapplication/cybercashapplication/davmount+xmlapplication/dca-rftapplication/dec-dxapplication/dialog-info+xmlapplication/dicomapplication/dnsapplication/dskpp+xmlapplication/dssc+derapplication/dssc+xmlapplication/dvcsapplication/ecmascriptapplication/EDI-Consentapplication/EDIFACTapplication/EDI-X12application/emma+xmlapplication/epp+xmlapplication/eshopapplication/exampleapplication/exiapplication/fastinfosetapplication/fastsoapapplication/fitsapplication/font-tdpfrapplication/framework-attributes+xmlapplication/H224application/held+xmlapplication/httpapplication/hyperstudioapplication/ibe-key-request+xmlapplication/ibe-pkg-reply+xmlapplication/ibe-pp-dataapplication/igesapplication/im-iscomposing+xmlapplication/indexapplication/index.cmdapplication/index.objapplication/index.responseapplication/index.vndapplication/inkml+xmlapplication/iotpapplication/ipfixapplication/ippapplication/isupapplication/javascriptapplication/jsonapplication/kpml-request+xmlapplication/kpml-response+xmlapplication/lost+xmlapplication/mac-binhex40application/macwriteiiapplication/mads+xmlapplication/marcapplication/marcxml+xmlapplication/mathematicaapplication/mathml-content+xmlapplication/mathml-presentation+xmlapplication/mathml+xmlapplication/mbms-associated-procedure-description+xmlapplication/mbms-deregister+xmlapplication/mbms-envelope+xmlapplication/mbms-msk-response+xmlapplication/mbms-msk+xmlapplication/mbms-protection-description+xmlapplication/mbms-reception-report+xmlapplication/mbms-register-response+xmlapplication/mbms-register+xmlapplication/mbms-user-service-description+xmlapplication/mboxapplication/media_control+xmlapplication/mediaservercontrol+xmlapplication/metalink4+xmlapplication/mets+xmlapplication/mikeyapplication/mods+xmlapplication/moss-keysapplication/moss-signatureapplication/mosskey-dataapplication/mosskey-requestapplication/mp21application/mp4application/mpeg4-genericapplication/mpeg4-iodapplication/mpeg4-iod-xmtapplication/msc-ivr+xmlapplication/msc-mixer+xmlapplication/mswordapplication/mxfapplication/nasdataapplication/news-checkgroupsapplication/news-groupinfoapplication/news-transmissionapplication/nssapplication/ocsp-requestapplication/ocsp-responseapplication/octet-streamapplication/odaapplication/oebps-package+xmlapplication/oggapplication/oxpsapplication/parityfecapplication/patch-ops-error+xmlapplication/pdfapplication/pgp-encryptedapplication/pgp-keysapplication/pgp-signatureapplication/pidf+xmlapplication/pidf-diff+xmlapplication/pkcs10application/pkcs7-mimeapplication/pkcs7-signatureapplication/pkcs8application/pkix-attr-certapplication/pkix-certapplication/pkixcmpapplication/pkix-crlapplication/pkix-pkipathapplication/pls+xmlapplication/poc-settings+xmlapplication/postscriptapplication/prs.alvestrand.titrax-sheetapplication/prs.cwwapplication/prs.nprendapplication/prs.pluckerapplication/prs.rdf-xml-cryptapplication/prs.xsf+xmlapplication/pskc+xmlapplication/rdf+xmlapplication/qsigapplication/raptorfecapplication/reginfo+xmlapplication/relax-ng-compact-syntaxapplication/remote-printingapplication/resource-lists-diff+xmlapplication/resource-lists+xmlapplication/riscosapplication/rlmi+xmlapplication/rls-services+xmlapplication/rpki-ghostbustersapplication/rpki-manifestapplication/rpki-roaapplicationapplication/rpki-updownapplication/rtfapplication/rtxapplication/samlassertion+xmlapplication/samlmetadata+xmlapplication/sbml+xmlapplication/scvp-cv-requestapplication/scvp-cv-responseapplication/scvp-vp-requestapplication/scvp-vp-responseapplication/sdpapplication/set-paymentapplication/set-payment-initiationapplication/set-registrationapplication/set-registration-initiationapplication/sgmlapplication/sgml-open-catalogapplication/shf+xmlapplication/sieveapplication/simple-filter+xmlapplication/simple-message-summaryapplication/simpleSymbolContainerapplication/slateapplication/smil (OBSOLETE)application/smil+xmlapplication/smpte336mapplication/soap+fastinfosetapplication/soap+xmlapplication/sparql-queryapplication/sparql-results+xmlapplication/spirits-event+xmlapplication/srgsapplication/srgs+xmlapplication/sru+xmlapplication/ssml+xmlapplication/tamp-apex-updateapplication/tamp-apex-update-confirmapplication/tamp-community-updateapplication/tamp-community-update-confirmapplication/tamp-errorapplication/tamp-sequence-adjustapplication/tamp-sequence-adjust-confirmapplication/tamp-status-queryapplication/tamp-status-responseapplication/tamp-updateapplication/tamp-update-confirmapplication/tei+xmlapplication/thraud+xmlapplication/timestamp-queryapplication/timestamp-replyapplication/timestamped-dataapplication/tve-triggerapplication/ulpfecapplication/vcard+xmlapplication/vemmiapplication/vnd.3gpp.bsf+xmlapplication/vnd.3gpp.pic-bw-largeapplication/vnd.3gpp.pic-bw-smallapplication/vnd.3gpp.pic-bw-varapplication/vnd.3gpp.smsapplication/vnd.3gpp2.bcmcsinfo+xmlapplication/vnd.3gpp2.smsapplication/vnd.3gpp2.tcapapplication/vnd.3M.Post-it-Notesapplication/vnd.accpac.simply.asoapplication/vnd.accpac.simply.impapplication/vnd.acucobolapplication/vnd.acucorpapplication/vnd.adobe.formscentral.fcdtapplication/vnd.adobe.fxpapplication/vnd.adobe.partial-uploadapplication/vnd.adobe.xdp+xmlapplication/vnd.adobe.xfdfapplication/vnd.aether.impapplication/vnd.ah-barcodeapplication/vnd.ahead.spaceapplication/vnd.airzip.filesecure.azfapplication/vnd.airzip.filesecure.azsapplication/vnd.americandynamics.accapplication/vnd.amiga.amiapplication/vnd.amundsen.maze+xmlapplication/vnd.anser-web-certificate-issue-initiationapplication/vnd.antix.game-componentapplication/vnd.apple.mpegurlapplication/vnd.apple.installer+xmlapplication/vnd.arastra.swi (OBSOLETE)application/vnd.aristanetworks.swiapplication/vnd.astraea-software.iotaapplication/vnd.audiographapplication/vnd.autopackageapplication/vnd.avistar+xmlapplication/vnd.balsamiq.bmml+xmlapplication/vnd.blueice.multipassapplication/vnd.bluetooth.ep.oobapplication/vnd.bmiapplication/vnd.businessobjectsapplication/vnd.cab-jscriptapplication/vnd.canon-cpdlapplication/vnd.canon-lipsapplication/vnd.cendio.thinlinc.clientconfapplication/vnd.chemdraw+xmlapplication/vnd.chipnuts.karaoke-mmdapplication/vnd.cinderellaapplication/vnd.cirpack.isdn-extapplication/vnd.claymoreapplication/vnd.cloanto.rp9application/vnd.clonk.c4groupapplication/vnd.cluetrust.cartomobile-configapplication/vnd.cluetrust.cartomobile-config-pkgapplication/vnd.collection+jsonapplication/vnd.commerce-battelleapplication/vnd.commonspaceapplication/vnd.cosmocallerapplication/vnd.contact.cmsgapplication/vnd.crick.clickerapplication/vnd.crick.clicker.keyboardapplication/vnd.crick.clicker.paletteapplication/vnd.crick.clicker.templateapplication/vnd.crick.clicker.wordbankapplication/vnd.criticaltools.wbs+xmlapplication/vnd.ctc-posmlapplication/vnd.ctct.ws+xmlapplication/vnd.cups-pdfapplication/vnd.cups-postscriptapplication/vnd.cups-ppdapplication/vnd.cups-rasterapplication/vnd.cups-rawapplication/vnd.curlapplication/vnd.cybankapplication/vnd.dartapplication/vnd.data-vision.rdzapplication/vnd.dece.dataapplication/vnd.dece.ttml+xmlapplication/vnd.dece.unspecifiedapplication/vnd.dece.zipapplication/vnd.denovo.fcselayout-linkapplication/vnd.dir-bi.plate-dl-nosuffixapplication/vnd.dm.delegation+xmlapplication/vnd.dnaapplication/vnd.dolby.mobile.1application/vnd.dolby.mobile.2application/vnd.dpgraphapplication/vnd.dreamfactoryapplication/vnd.dvb.aitapplication/vnd.dvb.dvbjapplication/vnd.dvb.esgcontainerapplication/vnd.dvb.ipdcdftnotifaccessapplication/vnd.dvb.ipdcesgaccessapplication/vnd.dvb.ipdcesgaccess2application/vnd.dvb.ipdcesgpddapplication/vnd.dvb.ipdcroamingapplication/vnd.dvb.iptv.alfec-baseapplication/vnd.dvb.iptv.alfec-enhancementapplication/vnd.dvb.notif-aggregate-root+xmlapplication/vnd.dvb.notif-container+xmlapplication/vnd.dvb.notif-generic+xmlapplication/vnd.dvb.notif-ia-msglist+xmlapplication/vnd.dvb.notif-ia-registration-request+xmlapplication/vnd.dvb.notif-ia-registration-response+xmlapplication/vnd.dvb.notif-init+xmlapplication/vnd.dvb.pfrapplication/vnd.dvb.serviceapplication/vnd.dxrapplication/vnd.dynageoapplication/vnd.easykaraoke.cdgdownloadapplication/vnd.ecdis-updateapplication/vnd.ecowin.chartapplication/vnd.ecowin.filerequestapplication/vnd.ecowin.fileupdateapplication/vnd.ecowin.seriesapplication/vnd.ecowin.seriesrequestapplication/vnd.ecowin.seriesupdateapplication/vnd.emclient.accessrequest+xmlapplication/vnd.enlivenapplication/vnd.eprints.data+xmlapplication/vnd.epson.esfapplication/vnd.epson.msfapplication/vnd.epson.quickanimeapplication/vnd.epson.saltapplication/vnd.epson.ssfapplication/vnd.ericsson.quickcallapplication/vnd.eszigno3+xmlapplication/vnd.etsi.aoc+xmlapplication/vnd.etsi.cug+xmlapplication/vnd.etsi.iptvcommand+xmlapplication/vnd.etsi.iptvdiscovery+xmlapplication/vnd.etsi.iptvprofile+xmlapplication/vnd.etsi.iptvsad-bc+xmlapplication/vnd.etsi.iptvsad-cod+xmlapplication/vnd.etsi.iptvsad-npvr+xmlapplication/vnd.etsi.iptvservice+xmlapplication/vnd.etsi.iptvsync+xmlapplication/vnd.etsi.iptvueprofile+xmlapplication/vnd.etsi.mcid+xmlapplication/vnd.etsi.overload-control-policy-dataset+xmlapplication/vnd.etsi.sci+xmlapplication/vnd.etsi.simservs+xmlapplication/vnd.etsi.tsl+xmlapplication/vnd.etsi.tsl.derapplication/vnd.eudora.dataapplication/vnd.ezpix-albumapplication/vnd.ezpix-packageapplication/vnd.f-secure.mobileapplication/vnd.fdfapplication/vnd.fdsn.mseedapplication/vnd.fdsn.seedapplication/vnd.ffsnsapplication/vnd.fintsapplication/vnd.FloGraphItapplication/vnd.fluxtime.clipapplication/vnd.font-fontforge-sfdapplication/vnd.framemakerapplication/vnd.frogans.fncapplication/vnd.frogans.ltfapplication/vnd.fsc.weblaunchapplication/vnd.fujitsu.oasysapplication/vnd.fujitsu.oasys2application/vnd.fujitsu.oasys3application/vnd.fujitsu.oasysgpapplication/vnd.fujitsu.oasysprsapplication/vnd.fujixerox.ART4application/vnd.fujixerox.ART-EXapplication/vnd.fujixerox.dddapplication/vnd.fujixerox.docuworksapplication/vnd.fujixerox.docuworks.binderapplication/vnd.fujixerox.HBPLapplication/vnd.fut-misnetapplication/vnd.fuzzysheetapplication/vnd.genomatix.tuxedoapplication/vnd.geocube+xmlapplication/vnd.geogebra.fileapplication/vnd.geogebra.toolapplication/vnd.geometry-explorerapplication/vnd.geonextapplication/vnd.geoplanapplication/vnd.geospaceapplication/vnd.globalplatform.card-content-mgtapplication/vnd.globalplatform.card-content-mgt-responseapplication/vnd.gmx (OBSOLETE)application/vnd.google-earth.kml+xmlapplication/vnd.google-earth.kmzapplication/vnd.grafeqapplication/vnd.gridmpapplication/vnd.groove-accountapplication/vnd.groove-helpapplication/vnd.groove-identity-messageapplication/vnd.groove-injectorapplication/vnd.groove-tool-messageapplication/vnd.groove-tool-templateapplication/vnd.groove-vcardapplication/vnd.hal+jsonapplication/vnd.hal+xmlapplication/vnd.HandHeld-Entertainment+xmlapplication/vnd.hbciapplication/vnd.hcl-bireportsapplication/vnd.hhe.lesson-playerapplication/vnd.hp-HPGLapplication/vnd.hp-hpidapplication/vnd.hp-hpsapplication/vnd.hp-jlytapplication/vnd.hp-PCLapplication/vnd.hp-PCLXLapplication/vnd.httphoneapplication/vnd.hydrostatix.sof-dataapplication/vnd.hzn-3d-crosswordapplication/vnd.ibm.afplinedataapplication/vnd.ibm.electronic-mediaapplication/vnd.ibm.MiniPayapplication/vnd.ibm.modcapapplication/vnd.ibm.rights-managementapplication/vnd.ibm.secure-containerapplication/vnd.iccprofileapplication/vnd.igloaderapplication/vnd.immervision-ivpapplication/vnd.immervision-ivuapplication/vnd.informedcontrol.rms+xmlapplication/vnd.infotech.projectapplication/vnd.infotech.project+xmlapplication/vnd.informix-visionaryapplication/vnd.innopath.wamp.notificationapplication/vnd.insors.igmapplication/vnd.intercon.formnetapplication/vnd.intergeoapplication/vnd.intertrust.digiboxapplication/vnd.intertrust.nncpapplication/vnd.intu.qboapplication/vnd.intu.qfxapplication/vnd.iptc.g2.conceptitem+xmlapplication/vnd.iptc.g2.knowledgeitem+xmlapplication/vnd.iptc.g2.newsitem+xmlapplication/vnd.iptc.g2.newsmessage+xmlapplication/vnd.iptc.g2.packageitem+xmlapplication/vnd.iptc.g2.planningitem+xmlapplication/vnd.ipunplugged.rcprofileapplication/vnd.irepository.package+xmlapplication/vnd.is-xprapplication/vnd.isac.fcsapplication/vnd.jamapplication/vnd.japannet-directory-serviceapplication/vnd.japannet-jpnstore-wakeupapplication/vnd.japannet-payment-wakeupapplication/vnd.japannet-registrationapplication/vnd.japannet-registration-wakeupapplication/vnd.japannet-setstore-wakeupapplication/vnd.japannet-verificationapplication/vnd.japannet-verification-wakeupapplication/vnd.jcp.javame.midlet-rmsapplication/vnd.jispapplication/vnd.joost.joda-archiveapplication/vnd.jsk.isdn-ngnapplication/vnd.kahootzapplication/vnd.kde.karbonapplication/vnd.kde.kchartapplication/vnd.kde.kformulaapplication/vnd.kde.kivioapplication/vnd.kde.kontourapplication/vnd.kde.kpresenterapplication/vnd.kde.kspreadapplication/vnd.kde.kwordapplication/vnd.kenameaappapplication/vnd.kidspirationapplication/vnd.Kinarapplication/vnd.koanapplication/vnd.kodak-descriptorapplication/vnd.las.las+xmlapplication/vnd.liberty-request+xmlapplication/vnd.llamagraphics.life-balance.desktopapplication/vnd.llamagraphics.life-balance.exchange+xmlapplication/vnd.lotus-1-2-3application/vnd.lotus-approachapplication/vnd.lotus-freelanceapplication/vnd.lotus-notesapplication/vnd.lotus-organizerapplication/vnd.lotus-screencamapplication/vnd.lotus-wordproapplication/vnd.macports.portpkgapplication/vnd.marlin.drm.actiontoken+xmlapplication/vnd.marlin.drm.conftoken+xmlapplication/vnd.marlin.drm.license+xmlapplication/vnd.marlin.drm.mdcfapplication/vnd.mcdapplication/vnd.medcalcdataapplication/vnd.mediastation.cdkeyapplication/vnd.meridian-slingshotapplication/vnd.MFERapplication/vnd.mfmpapplication/vnd.micrografx.floapplication/vnd.micrografx.igxapplication/vnd.mifapplication/vnd.minisoft-hp3000-saveapplication/vnd.mitsubishi.misty-guard.trustwebapplication/vnd.Mobius.DAFapplication/vnd.Mobius.DISapplication/vnd.Mobius.MBKapplication/vnd.Mobius.MQYapplication/vnd.Mobius.MSLapplication/vnd.Mobius.PLCapplication/vnd.Mobius.TXFapplication/vnd.mophun.applicationapplication/vnd.mophun.certificateapplication/vnd.motorola.flexsuiteapplication/vnd.motorola.flexsuite.adsiapplication/vnd.motorola.flexsuite.fisapplication/vnd.motorola.flexsuite.gotapapplication/vnd.motorola.flexsuite.kmrapplication/vnd.motorola.flexsuite.ttcapplication/vnd.motorola.flexsuite.wemapplication/vnd.motorola.iprmapplication/vnd.mozilla.xul+xmlapplication/vnd.ms-artgalryapplication/vnd.ms-asfapplication/vnd.ms-cab-compressedapplication/vnd.mseqapplication/vnd.ms-excelapplication/vnd.ms-excel.addin.macroEnabled.12application/vnd.ms-excel.sheet.binary.macroEnabled.12application/vnd.ms-excel.sheet.macroEnabled.12application/vnd.ms-excel.template.macroEnabled.12application/vnd.ms-fontobjectapplication/vnd.ms-htmlhelpapplication/vnd.ms-imsapplication/vnd.ms-lrmapplication/vnd.ms-office.activeX+xmlapplication/vnd.ms-officethemeapplication/vnd.ms-playready.initiator+xmlapplication/vnd.ms-powerpointapplication/vnd.ms-powerpoint.addin.macroEnabled.12application/vnd.ms-powerpoint.presentation.macroEnabled.12application/vnd.ms-powerpoint.slide.macroEnabled.12application/vnd.ms-powerpoint.slideshow.macroEnabled.12application/vnd.ms-powerpoint.template.macroEnabled.12application/vnd.ms-projectapplication/vnd.ms-tnefapplication/vnd.ms-wmdrm.lic-chlg-reqapplication/vnd.ms-wmdrm.lic-respapplication/vnd.ms-wmdrm.meter-chlg-reqapplication/vnd.ms-wmdrm.meter-respapplication/vnd.ms-word.document.macroEnabled.12application/vnd.ms-word.template.macroEnabled.12application/vnd.ms-worksapplication/vnd.ms-wplapplication/vnd.ms-xpsdocumentapplication/vnd.msignapplication/vnd.multiad.creatorapplication/vnd.multiad.creator.cifapplication/vnd.musicianapplication/vnd.music-niffapplication/vnd.muvee.styleapplication/vnd.mynfcapplication/vnd.ncd.controlapplication/vnd.ncd.referenceapplication/vnd.nervanaapplication/vnd.netfpxapplication/vnd.neurolanguage.nluapplication/vnd.nitfapplication/vnd.noblenet-directoryapplication/vnd.noblenet-sealerapplication/vnd.noblenet-webapplication/vnd.nokia.catalogsapplication/vnd.nokia.conml+wbxmlapplication/vnd.nokia.conml+xmlapplication/vnd.nokia.iptv.config+xmlapplication/vnd.nokia.iSDS-radio-presetsapplication/vnd.nokia.landmark+wbxmlapplication/vnd.nokia.landmark+xmlapplication/vnd.nokia.landmarkcollection+xmlapplication/vnd.nokia.ncdapplication/vnd.nokia.n-gage.ac+xmlapplication/vnd.nokia.n-gage.dataapplication/vnd.nokia.n-gage.symbian.installapplication/vnd.nokia.pcd+wbxmlapplication/vnd.nokia.pcd+xmlapplication/vnd.nokia.radio-presetapplication/vnd.nokia.radio-presetsapplication/vnd.novadigm.EDMapplication/vnd.novadigm.EDXapplication/vnd.novadigm.EXTapplication/vnd.ntt-local.file-transferapplication/vnd.ntt-local.sip-ta_remoteapplication/vnd.ntt-local.sip-ta_tcp_streamapplication/vnd.oasis.opendocument.chartapplication/vnd.oasis.opendocument.chart-templateapplication/vnd.oasis.opendocument.databaseapplication/vnd.oasis.opendocument.formulaapplication/vnd.oasis.opendocument.formula-templateapplication/vnd.oasis.opendocument.graphicsapplication/vnd.oasis.opendocument.graphics-templateapplication/vnd.oasis.opendocument.imageapplication/vnd.oasis.opendocument.image-templateapplication/vnd.oasis.opendocument.presentationapplication/vnd.oasis.opendocument.presentation-templateapplication/vnd.oasis.opendocument.spreadsheetapplication/vnd.oasis.opendocument.spreadsheet-templateapplication/vnd.oasis.opendocument.textapplication/vnd.oasis.opendocument.text-masterapplication/vnd.oasis.opendocument.text-templateapplication/vnd.oasis.opendocument.text-webapplication/vnd.obnapplication/vnd.oftn.l10n+jsonapplication/vnd.oipf.contentaccessdownload+xmlapplication/vnd.oipf.contentaccessstreaming+xmlapplication/vnd.oipf.cspg-hexbinaryapplication/vnd.oipf.dae.svg+xmlapplication/vnd.oipf.dae.xhtml+xmlapplication/vnd.oipf.mippvcontrolmessage+xmlapplication/vnd.oipf.pae.gemapplication/vnd.oipf.spdiscovery+xmlapplication/vnd.oipf.spdlist+xmlapplication/vnd.oipf.ueprofile+xmlapplication/vnd.oipf.userprofile+xmlapplication/vnd.olpc-sugarapplication/vnd.oma.bcast.associated-procedure-parameter+xmlapplication/vnd.oma.bcast.drm-trigger+xmlapplication/vnd.oma.bcast.imd+xmlapplication/vnd.oma.bcast.ltkmapplication/vnd.oma.bcast.notification+xmlapplication/vnd.oma.bcast.provisioningtriggerapplication/vnd.oma.bcast.sgbootapplication/vnd.oma.bcast.sgdd+xmlapplication/vnd.oma.bcast.sgduapplication/vnd.oma.bcast.simple-symbol-containerapplication/vnd.oma.bcast.smartcard-trigger+xmlapplication/vnd.oma.bcast.sprov+xmlapplication/vnd.oma.bcast.stkmapplication/vnd.oma.cab-address-book+xmlapplication/vnd.oma.cab-feature-handler+xmlapplication/vnd.oma.cab-pcc+xmlapplication/vnd.oma.cab-user-prefs+xmlapplication/vnd.oma.dcdapplication/vnd.oma.dcdcapplication/vnd.oma.dd2+xmlapplication/vnd.oma.drm.risd+xmlapplication/vnd.oma.group-usage-list+xmlapplication/vnd.oma.pal+xmlapplication/vnd.oma.poc.detailed-progress-report+xmlapplication/vnd.oma.poc.final-report+xmlapplication/vnd.oma.poc.groups+xmlapplication/vnd.oma.poc.invocation-descriptor+xmlapplication/vnd.oma.poc.optimized-progress-report+xmlapplication/vnd.oma.pushapplication/vnd.oma.scidm.messages+xmlapplication/vnd.oma.xcap-directory+xmlapplication/vnd.omads-email+xmlapplication/vnd.omads-file+xmlapplication/vnd.omads-folder+xmlapplication/vnd.omaloc-supl-initapplication/vnd.oma-scws-configapplication/vnd.oma-scws-http-requestapplication/vnd.oma-scws-http-responseapplication/vnd.openofficeorg.extensionapplication/vnd.openxmlformats-officedocument.custom-properties+xmlapplication/vnd.openxmlformats-officedocument.customXmlProperties+xmlapplication/vnd.openxmlformats-officedocument.drawing+xmlapplication/vnd.openxmlformats-officedocument.drawingml.chart+xmlapplication/vnd.openxmlformats-officedocument.drawingml.chartshapes+xmlapplication/vnd.openxmlformats-officedocument.drawingml.diagramColors+xmlapplication/vnd.openxmlformats-officedocument.drawingml.diagramData+xmlapplication/vnd.openxmlformats-officedocument.drawingml.diagramLayout+xmlapplication/vnd.openxmlformats-officedocument.drawingml.diagramStyle+xmlapplication/vnd.openxmlformats-officedocument.extended-properties+xmlapplication/vnd.openxmlformats-officedocument.presentationml.commentAuthors+xmlapplication/vnd.openxmlformats-officedocument.presentationml.comments+xmlapplication/vnd.openxmlformats-officedocument.presentationml.handoutMaster+xmlapplication/vnd.openxmlformats-officedocument.presentationml.notesMaster+xmlapplication/vnd.openxmlformats-officedocument.presentationml.notesSlide+xmlapplication/vnd.openxmlformats-officedocument.presentationml.presentationapplication/vnd.openxmlformats-officedocument.presentationml.presentation.main+xmlapplication/vnd.openxmlformats-officedocument.presentationml.presProps+xmlapplication/vnd.openxmlformats-officedocument.presentationml.slideapplication/vnd.openxmlformats-officedocument.presentationml.slide+xmlapplication/vnd.openxmlformats-officedocument.presentationml.slideLayout+xmlapplication/vnd.openxmlformats-officedocument.presentationml.slideMaster+xmlapplication/vnd.openxmlformats-officedocument.presentationml.slideshowapplication/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xmlapplication/vnd.openxmlformats-officedocument.presentationml.slideUpdateInfo+xmlapplication/vnd.openxmlformats-officedocument.presentationml.tableStyles+xmlapplication/vnd.openxmlformats-officedocument.presentationml.tags+xmlapplication/vnd.openxmlformats-officedocument.presentationml.templateapplication/vnd.openxmlformats-officedocument.presentationml.template.main+xmlapplication/vnd.openxmlformats-officedocument.presentationml.viewProps+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.calcChain+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.comments+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.connections+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.externalLink+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheDefinition+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheRecords+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.pivotTable+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.queryTable+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.revisionHeaders+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.revisionLog+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheetapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheetMetadata+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.styles+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.table+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.tableSingleCells+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.templateapplication/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.userNames+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.volatileDependencies+xmlapplication/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xmlapplication/vnd.openxmlformats-officedocument.theme+xmlapplication/vnd.openxmlformats-officedocument.themeOverride+xmlapplication/vnd.openxmlformats-officedocument.vmlDrawingapplication/vnd.openxmlformats-officedocument.wordprocessingml.comments+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.documentapplication/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.fontTable+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.footer+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.settings+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.styles+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.templateapplication/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xmlapplication/vnd.openxmlformats-officedocument.wordprocessingml.webSettings+xmlapplication/vnd.openxmlformats-package.core-properties+xmlapplication/vnd.openxmlformats-package.digital-signature-xmlsignature+xmlapplication/vnd.openxmlformats-package.relationships+xmlapplication/vnd.osa.netdeployapplication/vnd.osgeo.mapguide.packageapplication/vnd.osgi.bundleapplication/vnd.osgi.dpapplication/vnd.osgi.subsystemapplication/vnd.otps.ct-kip+xmlapplication/vnd.palmapplication/vnd.paos.xmlapplication/vnd.pawaafileapplication/vnd.pg.formatapplication/vnd.pg.osasliapplication/vnd.piaccess.application-licenceapplication/vnd.picselapplication/vnd.pmi.widgetapplication/vnd.poc.group-advertisement+xmlapplication/vnd.pocketlearnapplication/vnd.powerbuilder6application/vnd.powerbuilder6-sapplication/vnd.powerbuilder7application/vnd.powerbuilder75application/vnd.powerbuilder75-sapplication/vnd.powerbuilder7-sapplication/vnd.preminetapplication/vnd.previewsystems.boxapplication/vnd.proteus.magazineapplication/vnd.publishare-delta-treeapplication/vnd.pvi.ptid1application/vnd.pwg-multiplexedapplication/vnd.pwg-xhtml-print+xmlapplication/vnd.qualcomm.brew-app-resapplication/vnd.Quark.QuarkXPressapplication/vnd.quobject-quoxdocumentapplication/vnd.radisys.moml+xmlapplication/vnd.radisys.msml-audit-conf+xmlapplication/vnd.radisys.msml-audit-conn+xmlapplication/vnd.radisys.msml-audit-dialog+xmlapplication/vnd.radisys.msml-audit-stream+xmlapplication/vnd.radisys.msml-audit+xmlapplication/vnd.radisys.msml-conf+xmlapplication/vnd.radisys.msml-dialog-base+xmlapplication/vnd.radisys.msml-dialog-fax-detect+xmlapplication/vnd.radisys.msml-dialog-fax-sendrecv+xmlapplication/vnd.radisys.msml-dialog-group+xmlapplication/vnd.radisys.msml-dialog-speech+xmlapplication/vnd.radisys.msml-dialog-transform+xmlapplication/vnd.radisys.msml-dialog+xmlapplication/vnd.radisys.msml+xmlapplication/vnd.rainstor.dataapplication/vnd.rapidapplication/vnd.realvnc.bedapplication/vnd.recordare.musicxmlapplication/vnd.recordare.musicxml+xmlapplication/vnd.RenLearn.rlprintapplication/vnd.rig.cryptonoteapplication/vnd.route66.link66+xmlapplication/vnd.rs-274xapplication/vnd.ruckus.downloadapplication/vnd.s3smsapplication/vnd.sailingtracker.trackapplication/vnd.sbm.cidapplication/vnd.sbm.mid2application/vnd.scribusapplication/vnd.sealed.3dfapplication/vnd.sealed.csfapplication/vnd.sealed.docapplication/vnd.sealed.emlapplication/vnd.sealed.mhtapplication/vnd.sealed.netapplication/vnd.sealed.pptapplication/vnd.sealed.tiffapplication/vnd.sealed.xlsapplication/vnd.sealedmedia.softseal.htmlapplication/vnd.sealedmedia.softseal.pdfapplication/vnd.seemailapplication/vnd.semaapplication/vnd.semdapplication/vnd.semfapplication/vnd.shana.informed.formdataapplication/vnd.shana.informed.formtemplateapplication/vnd.shana.informed.interchangeapplication/vnd.shana.informed.packageapplication/vnd.SimTech-MindMapperapplication/vnd.smafapplication/vnd.smart.notebookapplication/vnd.smart.teacherapplication/vnd.software602.filler.form+xmlapplication/vnd.software602.filler.form-xml-zipapplication/vnd.solent.sdkm+xmlapplication/vnd.spotfire.dxpapplication/vnd.spotfire.sfsapplication/vnd.sss-codapplication/vnd.sss-dtfapplication/vnd.sss-ntfapplication/vnd.stepmania.packageapplication/vnd.stepmania.stepchartapplication/vnd.street-streamapplication/vnd.sun.wadl+xmlapplication/vnd.sus-calendarapplication/vnd.svdapplication/vnd.swiftview-icsapplication/vnd.syncml.dm.notificationapplication/vnd.syncml.dm+wbxmlapplication/vnd.syncml.dm+xmlapplication/vnd.syncml.ds.notificationapplication/vnd.syncml+xmlapplication/vnd.tao.intent-module-archiveapplication/vnd.tcpdump.pcapapplication/vnd.tmobile-livetvapplication/vnd.trid.tptapplication/vnd.triscape.mxsapplication/vnd.trueappapplication/vnd.truedocapplication/vnd.ubisoft.webplayerapplication/vnd.ufdlapplication/vnd.uiq.themeapplication/vnd.umajinapplication/vnd.unityapplication/vnd.uoml+xmlapplication/vnd.uplanet.alertapplication/vnd.uplanet.alert-wbxmlapplication/vnd.uplanet.bearer-choiceapplication/vnd.uplanet.bearer-choice-wbxmlapplication/vnd.uplanet.cacheopapplication/vnd.uplanet.cacheop-wbxmlapplication/vnd.uplanet.channelapplication/vnd.uplanet.channel-wbxmlapplication/vnd.uplanet.listapplication/vnd.uplanet.listcmdapplication/vnd.uplanet.listcmd-wbxmlapplication/vnd.uplanet.list-wbxmlapplication/vnd.uplanet.signalapplication/vnd.vcxapplication/vnd.vd-studyapplication/vnd.vectorworksapplication/vnd.verimatrix.vcasapplication/vnd.vidsoft.vidconferenceapplication/vnd.visioapplication/vnd.visionaryapplication/vnd.vividence.scriptfileapplication/vnd.vsfapplication/vnd.wap.sicapplication/vnd.wap.slcapplication/vnd.wap.wbxmlapplication/vnd.wap.wmlcapplication/vnd.wap.wmlscriptcapplication/vnd.webturboapplication/vnd.wfa.wscapplication/vnd.wmcapplication/vnd.wmf.bootstrapapplication/vnd.wolfram.mathematicaapplication/vnd.wolfram.mathematica.packageapplication/vnd.wolfram.playerapplication/vnd.wordperfectapplication/vnd.wqdapplication/vnd.wrq-hp3000-labelledapplication/vnd.wt.stfapplication/vnd.wv.csp+xmlapplication/vnd.wv.csp+wbxmlapplication/vnd.wv.ssp+xmlapplication/vnd.xaraapplication/vnd.xfdlapplication/vnd.xfdl.webformapplication/vnd.xmi+xmlapplication/vnd.xmpie.cpkgapplication/vnd.xmpie.dpkgapplication/vnd.xmpie.planapplication/vnd.xmpie.ppkgapplication/vnd.xmpie.xlimapplication/vnd.yamaha.hv-dicapplication/vnd.yamaha.hv-scriptapplication/vnd.yamaha.hv-voiceapplication/vnd.yamaha.openscoreformat.osfpvg+xmlapplication/vnd.yamaha.openscoreformatapplication/vnd.yamaha.remote-setupapplication/vnd.yamaha.smaf-audioapplication/vnd.yamaha.smaf-phraseapplication/vnd.yamaha.through-ngnapplication/vnd.yamaha.tunnel-udpencapapplication/vnd.yellowriver-custom-menuapplication/vnd.zulapplication/vnd.zzazz.deck+xmlapplication/voicexml+xmlapplication/vq-rtcpxrapplication/watcherinfo+xmlapplication/whoispp-queryapplication/whoispp-responseapplication/widgetapplication/witaapplication/wordperfect5.1application/wsdl+xmlapplication/wspolicy+xmlapplication/x400-bpapplication/xcap-att+xmlapplication/xcap-caps+xmlapplication/xcap-diff+xmlapplication/xcap-el+xmlapplication/xcap-error+xmlapplication/xcap-ns+xmlapplication/xcon-conference-info-diff+xmlapplication/xcon-conference-info+xmlapplication/xenc+xmlapplication/xhtml-voice+xml (Obsolete)application/xhtml+xmlapplication/xmlapplication/xml-dtdapplication/xml-external-parsed-entityapplication/xmpp+xmlapplication/xop+xmlapplication/xslt+xmlapplication/xv+xmlapplication/yangapplication/yin+xmlapplication/zipaudio/1d-interleaved-parityfecaudio/32kadpcmaudio/3gppaudio/3gpp2audio/ac3audio/AMRaudio/AMR-WBaudio/amr-wb+audio/ascaudio/ATRAC-ADVANCED-LOSSLESSaudio/ATRAC-Xaudio/ATRAC3audio/basicaudio/BV16audio/BV32audio/clearmodeaudio/CNaudio/DAT12audio/dlsaudio/dsr-es201108audio/dsr-es202050audio/dsr-es202211audio/dsr-es202212audio/DVaudio/DVI4audio/eac3audio/EVRCaudio/EVRC0audio/EVRC1audio/EVRCBaudio/EVRCB0audio/EVRCB1audio/EVRC-QCPaudio/EVRCWBaudio/EVRCWB0audio/EVRCWB1audio/fwdredaudio/G719audio/G722audio/G7221audio/G723audio/G726-16audio/G726-24audio/G726-32audio/G726-40audio/G728audio/G729audio/G7291audio/G729Daudio/G729Eaudio/GSMaudio/GSM-EFRaudio/GSM-HR-08audio/iLBCaudio/ip-mr_v2.5audio/L8audio/L16audio/L20audio/L24audio/LPCaudio/mobile-xmfaudio/MPAaudio/MP4A-LATMaudio/mpa-robustaudio/mpegaudio/PCMAaudio/PCMA-WBaudio/PCMUaudio/PCMU-WBaudio/prs.sidaudio/QCELPaudio/REDaudio/rtp-enc-aescm128audio/rtp-midiaudio/SMVaudio/SMV0audio/SMV-QCPaudio/sp-midiaudio/speexaudio/t140caudio/t38audio/telephone-eventaudio/toneaudio/UEMCLIPaudio/VDVIaudio/VMR-WBaudio/vnd.3gpp.iufpaudio/vnd.4SBaudio/vnd.audiokozaudio/vnd.CELPaudio/vnd.cisco.nseaudio/vnd.cmles.radio-eventsaudio/vnd.cns.anp1audio/vnd.cns.inf1audio/vnd.dece.audioaudio/vnd.digital-windsaudio/vnd.dlna.adtsaudio/vnd.dolby.heaac.1audio/vnd.dolby.heaac.2audio/vnd.dolby.mlpaudio/vnd.dolby.mpsaudio/vnd.dolby.pl2audio/vnd.dolby.pl2xaudio/vnd.dolby.pl2zaudio/vnd.dolby.pulse.1audio/vnd.draaudio/vnd.dtsaudio/vnd.dts.hdaudio/vnd.dvb.fileaudio/vnd.everad.pljaudio/vnd.hns.audioaudio/vnd.lucent.voiceaudio/vnd.ms-playready.media.pyaaudio/vnd.nokia.mobile-xmfaudio/vnd.nortel.vbkaudio/vnd.nuera.ecelp4800audio/vnd.nuera.ecelp7470audio/vnd.nuera.ecelp9600audio/vnd.octel.sbcaudio/vnd.qcelp - DEPRECATED - Please use audio/qcelpaudio/vnd.rhetorex.32kadpcmaudio/vnd.ripaudio/vnd.sealedmedia.softseal.mpegaudio/vnd.vmx.cvsdaudio/vorbisaudio/vorbis-configimage/cgmimage/g3faximage/gifimage/iefimage/jp2image/jpegimage/jpmimage/jpximage/ktximage/naplpsimage/pngimage/prs.btifimage/prs.ptiimage/svg+xmlimage/tiffimage/tiff-fximage/vnd.adobe.photoshopimage/vnd.cns.inf2image/vnd.dece.graphicimage/vnd.djvuimage/vnd.dwgimage/vnd.dxfimage/vnd.dvb.subtitleimage/vnd.fastbidsheetimage/vnd.fpximage/vnd.fstimage/vnd.fujixerox.edmics-mmrimage/vnd.fujixerox.edmics-rlcimage/vnd.globalgraphics.pgbimage/vnd.microsoft.iconimage/vnd.miximage/vnd.ms-modiimage/vnd.net-fpximage/vnd.radianceimage/vnd.sealed.pngimage/vnd.sealedmedia.softseal.gifimage/vnd.sealedmedia.softseal.jpgimage/vnd.svfimage/vnd.wap.wbmpimage/vnd.xiffmessage/CPIMmessage/delivery-statusmessage/disposition-notificationmessage/external-bodymessage/feedback-reportmessage/globalmessage/global-delivery-statusmessage/global-disposition-notificationmessage/global-headersmessage/imdn+xmlmessage/news (OBSOLETE)message/partialmessage/rfc822message/s-httpmessage/sipmessage/sipfragmessage/tracking-statusmessage/vnd.si.simpmodel/meshmodel/vnd.collada+xmlmodel/vnd.dwfmodel/vnd.flatland.3dmlmodel/vnd.gdlmodel/vnd.gs-gdlmodel/vnd.gtwmodel/vnd.moml+xmlmodel/vnd.mtsmodel/vnd.parasolid.transmit.binarymodel/vnd.parasolid.transmit.textmodel/vnd.vtumodel/vrmlmultipart/alternativemultipart/appledoublemultipart/byterangesmultipart/digestmultipart/encryptedmultipart/form-datamultipart/header-setmultipart/mixedmultipart/parallelmultipart/relatedmultipart/reportmultipart/signedmultipart/voice-messagetext/calendartext/csstext/csvtext/directory (deprecated)text/ecmascript (obsolete)text/enrichedtext/htmltext/javascript (obsolete)text/jcr-cndtext/mizartext/n3text/plaintext/prs.fallenstein.rsttext/prs.lines.tagtext/rfc822-headerstext/richtexttext/t140text/tab-separated-valuestext/trofftext/turtletext/uri-listtext/vcardtext/vnd.abctext/vnd.DMClientScripttext/vnd.esmertec.theme-descriptortext/vnd.flytext/vnd.fmi.flexstortext/vnd.graphviztext/vnd.in3d.3dmltext/vnd.in3d.spottext/vnd.IPTC.NewsMLtext/vnd.IPTC.NITFtext/vnd.latex-ztext/vnd.motorola.reflextext/vnd.ms-mediapackagetext/vnd.net2phone.commcenter.commandtext/vnd.radisys.msml-basic-layouttext/vnd.si.uricataloguetext/vnd.sun.j2me.app-descriptortext/vnd.trolltech.linguisttext/vnd.wap.sitext/vnd.wap.sltext/vnd.wap.wmltext/vnd.wap.wmlscriptvideo/3gpp-ttvideo/BMPEGvideo/BT656video/CelBvideo/H261video/H263video/H263-1998video/H263-2000video/H264video/H264-RCDOvideo/H264-SVCvideo/jpeg2000video/MJ2video/MP1Svideo/MP2Pvideo/MP2Tvideo/MP4V-ESvideo/MPVvideo/nvvideo/pointervideo/quicktimevideo/rawvideo/SMPTE292Mvideo/vc1video/vnd.CCTVvideo/vnd.dece.hdvideo/vnd.dece.mobilevideo/vnd.dece.mp4video/vnd.dece.pdvideo/vnd.dece.sdvideo/vnd.dece.videovideo/vnd.directv.mpegvideo/vnd.directv.mpeg-ttsvideo/vnd.dlna.mpeg-ttsvideo/vnd.fvtvideo/vnd.hns.videovideo/vnd.iptvforum.1dparityfec-1010video/vnd.iptvforum.1dparityfec-2005video/vnd.iptvforum.2dparityfec-1010video/vnd.iptvforum.2dparityfec-2005video/vnd.iptvforum.ttsavcvideo/vnd.iptvforum.ttsmpeg2video/vnd.motorola.videovideo/vnd.motorola.videopvideo/vnd.mpegurlvideo/vnd.ms-playready.media.pyvvideo/vnd.nokia.interleaved-multimediavideo/vnd.nokia.videovoipvideo/vnd.objectvideovideo/vnd.sealed.mpeg1video/vnd.sealed.mpeg4video/vnd.sealed.swfvideo/vnd.sealedmedia.softseal.movvideo/vnd.uvvu.mp4video/vnd.vivo',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'BinaryObjectMime-2.0 BinaryObjectMime-2.1' in the context '@mimeCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:GrossWeightMeasure/@unitCode |                          cbc:NetWeightMeasure/@unitCode |                          cbc:NetNetWeightMeasure/@unitCode |                          cbc:GrossVolumeMeasure/@unitCode |                          cbc:NetVolumeMeasure/@unitCode |                          cbc:Measure/@unitCode |                          cbc:MinimumMeasure/@unitCode |                          cbc:MaximumMeasure/@unitCode |                          cbc:ChargeableWeightMeasure/@unitCode |                          cbc:LoadingLengthMeasure/@unitCode |                          cbc:ValueMeasure/@unitCode |                          cbc:ComparedValueMeasure/@unitCode |                          cbc:SourceValueMeasure/@unitCode |                          cbc:LeadTimeMeasure/@unitCode |                          cbc:LatitudeDegreesMeasure/@unitCode |                          cbc:LatitudeMinutesMeasure/@unitCode |                          cbc:LongitudeDegreesMeasure/@unitCode |                          cbc:LongitudeMinutesMeasure/@unitCode |                          cbc:AltitudeMeasure/@unitCode |                          cbc:GrossTonnageMeasure/@unitCode |                          cbc:NetTonnageMeasure/@unitCode |                          cbc:PostEventNotificationDurationMeasure/@unitCode |                          cbc:PreEventNotificationDurationMeasure/@unitCode |                          cbc:DurationMeasure/@unitCode |                          cbc:BaseUnitMeasure/@unitCode |                          cbc:TareWeightMeasure/@unitCode" priority="1018" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(../@unitCodeListVersionID!='Revision 4') ) and contains('04050810111314151617181920212223242526272829303132333435363738404143444546474853545657585960616263646669717273747677788081848587899091929394959697981A1B1C1D1E1F1G1H1I1J1K1L1M1X2A2B2C2I2J2K2L2M2N2P2Q2R2U2V2W2X2Y2Z3B3C3E3G3H3I4A4B4C4E4G4H4K4L4M4N4O4P4Q4R4T4U4W4X5A5B5C5E5F5G5H5I5J5K5P5QA1A10A11A12A13A14A15A16A17A18A19A2A20A21A22A23A24A25A26A27A28A29A3A30A31A32A33A34A35A36A37A38A39A4A40A41A42A43A44A45A47A48A49A5A50A51A52A53A54A55A56A57A58A6A60A61A62A63A64A65A66A67A68A69A7A70A71A73A74A75A76A77A78A79A8A80A81A82A83A84A85A86A87A88A89A9A90A91A93A94A95A96A97A98AAABACRADAEAHAIAJAKALAMAMHAMPANNAPAPZAQARAREASASMASUATMATTAVAWAYAZB0B1B11B12B13B14B15B16B18B2B20B21B22B23B24B25B26B27B28B29B3B31B32B33B34B35B36B37B38B39B4B40B41B42B43B44B45B46B47B48B49B5B50B51B52B53B54B55B56B57B58B59B6B60B61B62B63B64B65B66B67B69B7B70B71B72B73B74B75B76B77B78B79B8B81B83B84B85B86B87B88B89B9B90B91B92B93B94B95B96B97B98B99BARBBBDBEBFTBGBHBHPBILBJBKBLBLDBLLBOBPBQLBRBTBTUBUABUIBWBXBZC0C1C10C11C12C13C14C15C16C17C18C19C2C20C22C23C24C25C26C27C28C29C3C30C31C32C33C34C35C36C38C39C4C40C41C42C43C44C45C46C47C48C49C5C50C51C52C53C54C55C56C57C58C59C6C60C61C62C63C64C65C66C67C68C69C7C70C71C72C73C75C76C77C78C8C80C81C82C83C84C85C86C87C88C89C9C90C91C92C93C94C95C96C97C98C99CACCTCDLCELCENCGCGMCHCJCKCKGCLCLFCLTCMKCMQCMTCNPCNTCOCOUCQCRCSCTCTMCUCURCVCWACWICYCZD1D10D12D13D14D15D16D17D18D19D2D20D21D22D23D24D25D26D27D28D29D30D31D32D33D34D35D37D38D39D40D41D42D43D44D45D46D47D48D49D5D50D51D52D53D54D55D56D57D58D59D6D60D61D62D63D64D65D66D67D69D7D70D71D72D73D74D75D76D77D79D8D80D81D82D83D85D86D87D88D89D9D90D91D92D93D94D95D96D97D98D99DAADADDAYDBDCDDDEDECDGDIDJDLTDMKDMQDMTDNDPCDPRDPTDQDRDRADRIDRLDRMDSDTDTNDUDWTDXDYDZNDZPE2E3E4E5EAEBECEPEQEVF1F9FAHFARFBFCFDFEFFFGFHFLFMFOTFPFRFSFTKFTQG2G3G7GBGBQGCGDGEGFGFIGGRGHGIAGIIGJGKGLGLDGLIGLLGMGNGOGPGQGRMGRNGROGRTGTGVGWGWHGYGZH1H2HAHARHBAHBXHCHDHEHFHGMHHHIHIUHJHKHLHLTHMHMQHMTHNHOHPHPAHSHTHTZHURHYIAICIEIFIIILIMINHINKINQIPITIUIVJ2JBJEJGJKJMJOJOUJRK1K2K3K5K6KAKBKBAKDKELKFKGKGMKGSKHZKIKJKJOKLKMHKMKKMQKNIKNSKNTKOKPAKPHKPOKPPKRKSKSDKSHKTKTMKTNKURKVAKVRKVTKWKWHKWTKXL2LALBRLBTLCLDLELEFLFLHLILJLKLMLNLOLPLPALRLSLTNLTRLUMLUXLXLYM0M1M4M5M7M9MAMALMAMMAWMBEMBFMBRMCMCUMDMFMGMMHZMIKMILMINMIOMIUMKMLDMLTMMKMMQMMTMONMPAMQMQHMQSMSKMTMTKMTQMTRMTSMVMVAMWHN1N2N3NANARNBNBBNCNCLNDNENEWNFNGNHNINIUNJNLNMINMPNNNPLNPRNPTNQNRNRLNTNTTNUNVNXNYOAOHMONONZOPOTOZOZAOZIP0P1P2P3P4P5P6P7P8P9PAPALPBPDPEPFPGPGLPIPKPLPMPNPOPQPRPSPTPTDPTIPTLPUPVPWPYPZQ3QAQANQBQDQHQKQRQTQTDQTIQTLQTRR1R4R9RARDRGRHRKRLRMRNRORPRPMRPSRSRTRUS3S4S5S6S7S8SASANSCOSCRSDSESECSETSGSHTSIESKSLSMISNSOSPSQSRSSSSTSTSTISTNSVSWSXT0T1T3T4T5T6T7T8TATAHTCTDTETFTITJTKTLTNTNETPTPRTQTQDTRTRLTSTSDTSHTTTUTVTWTYU1U2UAUBUCUDUEUFUHUMVAVIVLTVQVSW2W4WAWBWCDWEWEBWEEWGWHWHRWIWMWRWSDWTTWWX1YDKYDQYLYRDYTZ1Z2Z3Z4Z5Z6Z8ZPZZ',concat('',.,'')) ) or ( ( not(../@unitCodeListVersionID!='8e') ) and contains('05060810111314151617181920212223242526272829303132333435363738404143444546474853545657585960616263646669717273747677788081848587899091929394959697981A1B1C1D1E1F1G1H1I1J1K1L1M1X2A2B2C2G2H2I2J2K2L2M2N2P2Q2R2U2V2W2X2Y2Z3B3C3E3G3H3I4A4B4C4E4G4H4K4L4M4N4O4P4Q4R4T4U4W4X5A5B5C5E5F5G5H5I5J5K5P5QA1A10A11A12A13A14A15A16A17A18A19A2A20A21A22A23A24A25A26A27A28A29A3A30A31A32A33A34A35A36A37A38A39A4A40A41A42A43A44A45A47A48A49A5A50A51A52A53A54A55A56A57A58A59A6A60A61A62A63A64A65A66A67A68A69A7A70A71A73A74A75A76A77A78A79A8A80A81A82A83A84A85A86A87A88A89A9A90A91A93A94A95A96A97A98A99AAABACRACTADAEAHAIAJAKALAMAMHAMPANNAPAPZAQARAREASASMASUATMATTAVAWAYAZB0B1B10B11B12B13B14B15B16B17B18B19B2B20B21B22B23B24B25B26B27B28B29B3B30B31B32B33B34B35B36B37B38B39B4B40B41B42B43B44B45B46B47B48B49B5B50B51B52B53B54B55B56B57B58B59B6B60B61B62B63B64B65B66B67B68B69B7B70B71B72B73B74B75B76B77B78B79B8B80B81B82B83B84B85B86B87B88B89B9B90B91B92B93B94B95B96B97B98B99BARBBBDBEBFTBGBHBHPBILBJBKBLBLDBLLBOBPBQLBRBTBTUBUABUIBWBXBZC0C1C10C11C12C13C14C15C16C17C18C19C2C20C21C22C23C24C25C26C27C28C29C3C30C31C32C33C34C35C36C37C38C39C4C40C41C42C43C44C45C46C47C48C49C5C50C51C52C53C54C55C56C57C58C59C6C60C61C62C63C64C65C66C67C68C69C7C70C71C72C73C74C75C76C77C78C79C8C80C81C82C83C84C85C86C87C88C89C9C90C91C92C93C94C95C96C97C98C99CACCTCDLCELCENCGCGMCHCJCKCKGCLCLFCLTCMKCMQCMTCNPCNTCOCOUCQCRCSCTCTGCTMCTNCUCURCVCWACWICYCZD03D04D1D10D11D12D13D14D15D16D17D18D19D2D20D21D22D23D24D25D26D27D28D29D30D31D32D33D34D35D36D37D38D39D40D41D42D43D44D45D46D47D48D49D5D50D51D52D53D54D55D56D57D58D59D6D60D61D62D63D64D65D66D67D68D69D7D70D71D72D73D74D75D76D77D78D79D8D80D81D82D83D85D86D87D88D89D9D90D91D92D93D94D95D96D97D98D99DAADADDAYDBDCDDDEDECDGDIDJDLTDMADMKDMODMQDMTDNDPCDPRDPTDQDRDRADRIDRLDRMDSDTDTNDUDWTDXDYDZNDZPE01E07E08E09E10E11E12E14E15E16E17E18E19E2E20E21E22E23E25E27E28E3E30E31E32E33E34E35E36E37E38E39E4E40E41E42E43E44E45E46E47E48E49E5E50E51E52E53E54E55E56E57E58E59E60E61E62E63E64E65E66E67E68E69E70E71E72E73E74E75E76E77E78E79E80E81E82E83E84E85E86E87E88E89E90E91E92E93E94E95E96E97E98E99EAEBECEPEQEVF01F02F03F04F05F06F07F08F1F10F11F12F13F14F15F16F17F18F19F20F21F22F23F24F25F26F27F28F29F30F31F32F33F34F35F36F37F38F39F40F41F42F43F44F45F46F47F48F49F50F51F52F53F54F55F56F57F58F59F60F61F62F63F64F65F66F67F68F69F70F71F72F73F74F75F76F77F78F79F80F81F82F83F84F85F86F87F88F89F9F90F91F92F93F94F95F96F97F98F99FAHFARFBFBMFCFDFEFFFGFHFITFLFMFOTFPFRFSFTKFTQG01G04G05G06G08G09G10G11G12G13G14G15G16G17G18G19G2G20G21G23G24G25G26G27G28G29G3G30G31G32G33G34G35G36G37G38G39G40G41G42G43G44G45G46G47G48G49G50G51G52G53G54G55G56G57G58G59G60G61G62G63G64G65G66G67G68G69G7G70G71G72G73G74G75G76G77G78G79G80G81G82G83G84G85G86G87G88G89G90G91G92G93G94G95G96G97G98G99GBGBQGCGDGDWGEGFGFIGGRGHGIAGICGIIGIPGJGKGLGLDGLIGLLGMGNGOGPGQGRMGRNGROGRTGTGVGWGWHGYGZH03H04H05H06H07H08H09H1H10H11H12H13H14H15H16H18H19H2H20H21H22H23H24H25H26H27H28H29H30H31H32H33H34H35H36H37H38H39H40H41H42H43H44H45H46H47H48H49H50H51H52H53H54H55H56H57H58H59H60H61H62H63H64H65H66H67H68H69H70H71H72H73H74H75H76H77H78H79H80H81H82H83H84H85H87H88H89H90H91H92H93H94H95H96H98H99HAHARHBAHBXHCHDHDWHEHEAHFHGMHHHIHIUHJHKHKMHLHLTHMHMQHMTHNHOHPHPAHSHTHTZHURHYIAICIEIFIIILIMINHINKINQIPISDITIUIVJ10J12J13J14J15J16J17J18J19J2J20J21J22J23J24J25J26J27J28J29J30J31J32J33J34J35J36J38J39J40J41J42J43J44J45J46J47J48J49J50J51J52J53J54J55J56J57J58J59J60J61J62J63J64J65J66J67J68J69J70J71J72J73J74J75J76J78J79J81J82J83J84J85J87J89J90J91J92J93J94J95J96J97J98J99JBJEJGJKJMJNTJOJOUJPSJRJWLK1K10K11K12K13K14K15K16K17K18K19K2K20K21K22K23K24K25K26K27K28K3K30K31K32K33K34K35K36K37K38K39K40K41K42K43K45K46K47K48K49K5K50K51K52K53K54K55K58K59K6K60K61K62K63K64K65K66K67K68K69K70K71K73K74K75K76K77K78K79K80K81K82K83K84K85K86K87K88K89K90K91K92K93K94K95K96K97K98K99KAKATKBKBAKCCKDKDWKELKFKGKGMKGSKHYKHZKIKICKIPKJKJOKLKLKKLXKMAKMHKMKKMQKMTKNIKNSKNTKOKPAKPHKPOKPPKRKSKSDKSHKTKTMKTNKURKVAKVRKVTKWKWHKWOKWTKXL10L11L12L13L14L15L16L17L18L19L2L20L21L23L24L25L26L27L28L29L30L31L32L33L34L35L36L37L38L39L40L41L42L43L44L45L46L47L48L49L50L51L52L53L54L55L56L57L58L59L60L61L62L63L64L65L66L67L68L69L70L71L72L73L74L75L76L77L78L79L80L81L82L83L84L85L86L87L88L89L90L91L92L93L94L95L96L98L99LALACLBRLBTLCLDLELEFLFLHLILJLKLMLNLOLPLPALRLSLTNLTRLUBLUMLUXLXLYM0M1M10M11M12M13M14M15M16M17M18M19M20M21M22M23M24M25M26M27M29M30M31M32M33M34M35M36M37M38M39M4M40M41M42M43M44M45M46M47M48M49M5M50M51M52M53M55M56M57M58M59M60M61M62M63M64M65M66M67M68M69M7M70M71M72M73M74M75M76M77M78M79M80M81M82M83M84M85M86M87M88M89M9M90M91M92M93M94M95M96M97M98M99MAMAHMALMAMMARMAWMBEMBFMBRMCMCUMDMFMGMMHZMIKMILMINMIOMIUMKMLDMLTMMKMMQMMTMNDMONMPAMQMQHMQSMSKMTMTKMTQMTRMTSMVMVAMWHN1N10N11N12N13N14N15N16N17N18N19N2N20N21N22N23N24N25N26N27N28N29N3N30N31N32N33N34N35N36N37N38N39N40N41N42N43N44N45N46N47N48N49N50N51N52N53N54N55N56N57N58N59N60N61N62N63N64N65N66N67N68N69N70N71N72N73N74N75N76N77N78N79N80N81N82N83N84N85N86N87N88N89N90N91N92N93N94N95N96N97N98N99NANARNBNBBNCNCLNDNENEWNFNGNHNINILNIUNJNLNMINMPNNNPLNPRNPTNQNRNRLNTNTTNUNVNXNYOAODEOHMONONZOPOTOZOZAOZIP0P1P10P11P12P13P14P15P16P17P18P19P2P20P21P22P23P24P25P26P27P28P29P3P30P31P32P33P34P35P36P37P38P39P4P40P41P42P43P44P45P46P47P48P49P5P50P51P52P53P54P55P56P57P58P59P6P60P61P62P63P64P65P66P67P68P69P7P70P71P72P73P74P75P76P77P78P79P8P80P81P82P83P84P85P86P87P88P89P9P90P91P92P93P94P95P96P97P98P99PAPALPBPDPEPFPFLPGPGLPIPKPLPLAPMPNPOPQPRPSPTPTDPTIPTLPUPVPWPYPZQ10Q11Q12Q13Q14Q15Q16Q17Q18Q19Q20Q21Q22Q23Q24Q25Q26Q27Q28Q29Q30Q3QAQANQBQDQHQKQRQTQTDQTIQTLQTRR1R4R9RARDRGRHRKRLRMRNROROMRPRPMRPSRSRTRUS3S4S5S6S7S8SASANSCOSCRSDSESECSETSGSHTSIESKSLSMISNSOSPSQSQRSRSSSSTSTSTCSTISTKSTLSTNSTWSVSWSXSYRT0T1T3T4T5T6T7T8TATAHTANTCTDTETFTITICTIPTJTKTKMTLTMSTNTNETPTPRTQTQDTRTRLTSTSDTSHTSTTTTTSTUTVTWTYU1U2UAUBUCUDUEUFUHUMVAVIVLTVPVQVSW2W4WAWBWCDWEWEBWEEWGWHWHRWIWMWRWSDWTTWWX1YDKYDQYLYRDYTZ1Z11Z2Z3Z4Z5Z6Z8ZPZZ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'UnitOfMeasure-2.0 UnitOfMeasure-2.1' in the context 'cbc:GrossWeightMeasure/@unitCode |                          cbc:NetWeightMeasure/@unitCode |                          cbc:NetNetWeightMeasure/@unitCode |                          cbc:GrossVolumeMeasure/@unitCode |                          cbc:NetVolumeMeasure/@unitCode |                          cbc:Measure/@unitCode |                          cbc:MinimumMeasure/@unitCode |                          cbc:MaximumMeasure/@unitCode |                          cbc:ChargeableWeightMeasure/@unitCode |                          cbc:LoadingLengthMeasure/@unitCode |                          cbc:ValueMeasure/@unitCode |                          cbc:ComparedValueMeasure/@unitCode |                          cbc:SourceValueMeasure/@unitCode |                          cbc:LeadTimeMeasure/@unitCode |                          cbc:LatitudeDegreesMeasure/@unitCode |                          cbc:LatitudeMinutesMeasure/@unitCode |                          cbc:LongitudeDegreesMeasure/@unitCode |                          cbc:LongitudeMinutesMeasure/@unitCode |                          cbc:AltitudeMeasure/@unitCode |                          cbc:GrossTonnageMeasure/@unitCode |                          cbc:NetTonnageMeasure/@unitCode |                          cbc:PostEventNotificationDurationMeasure/@unitCode |                          cbc:PreEventNotificationDurationMeasure/@unitCode |                          cbc:DurationMeasure/@unitCode |                          cbc:BaseUnitMeasure/@unitCode |                          cbc:TareWeightMeasure/@unitCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:TotalPackagesQuantity/@unitCode |                          cbc:MinimumQuantity/@unitCode |                          cbc:MaximumQuantity/@unitCode |                          cbc:Quantity/@unitCode |                          cbc:ValueQuantity/@unitCode |                          cbc:ContentUnitQuantity/@unitCode |                          cbc:MinimumOrderQuantity/@unitCode |                          cbc:MaximumOrderQuantity/@unitCode |                          cbc:TotalGoodsItemQuantity/@unitCode |                          cbc:TotalTransportHandlingUnitQuantity/@unitCode |                          cbc:ConsignmentQuantity/@unitCode |                          cbc:ChildConsignmentQuantity/@unitCode |                          cbc:GasPressureQuantity/@unitCode |                          cbc:ActualTemperatureReductionQuantity/@unitCode |                          cbc:NormalTemperatureReductionQuantity/@unitCode |                          cbc:DifferenceTemperatureReductionQuantity/@unitCode |                          cbc:ConsumptionEnergyQuantity/@unitCode |                          cbc:ConsumptionWaterQuantity/@unitCode |                          cbc:InvoicedQuantity/@unitCode |                          cbc:TotalDeliveredQuantity/@unitCode |                          cbc:TotalConsumedQuantity/@unitCode |                          cbc:BasicConsumedQuantity/@unitCode |                          cbc:CreditedQuantity/@unitCode |                          cbc:DebitedQuantity/@unitCode |                          cbc:BatchQuantity/@unitCode |                          cbc:ConsumerUnitQuantity/@unitCode |                          cbc:DeliveredQuantity/@unitCode |                          cbc:BackorderQuantity/@unitCode |                          cbc:OutstandingQuantity/@unitCode |                          cbc:OversupplyQuantity/@unitCode |                          cbc:ExpectedQuantity/@unitCode |                          cbc:ThresholdQuantity/@unitCode |                          cbc:VarianceQuantity/@unitCode |                          cbc:TimeDeltaDaysQuantity/@unitCode |                          cbc:ExpectedOperatorQuantity/@unitCode |                          cbc:MaximumOperatorQuantity/@unitCode |                          cbc:CustomsTariffQuantity/@unitCode |                          cbc:ChargeableQuantity/@unitCode |                          cbc:ReturnableQuantity/@unitCode |                          cbc:SharesNumberQuantity/@unitCode |                          cbc:PackQuantity/@unitCode |                          cbc:MinimumInventoryQuantity/@unitCode |                          cbc:MultipleOrderQuantity/@unitCode |                          cbc:TargetInventoryQuantity/@unitCode |                          cbc:MinimumBackorderQuantity/@unitCode |                          cbc:MaximumBackorderQuantity/@unitCode |                          cbc:PreviousMeterQuantity/@unitCode |                          cbc:LatestMeterQuantity/@unitCode |                          cbc:EstimatedConsumedQuantity/@unitCode |                          cbc:PerformanceValueQuantity/@unitCode |                          cbc:BaseQuantity/@unitCode |                          cbc:EstimatedOverallContractQuantity/@unitCode |                          cbc:OperatingYearsQuantity/@unitCode |                          cbc:EmployeeQuantity/@unitCode |                          cbc:ReceivedQuantity/@unitCode |                          cbc:ShortQuantity/@unitCode |                          cbc:RejectedQuantity/@unitCode |                          cbc:CrewQuantity/@unitCode |                          cbc:PassengerQuantity/@unitCode |                          cbc:TotalMeteredQuantity/@unitCode |                          cbc:ReceivedTenderQuantity/@unitCode |                          cbc:ReceivedElectronicTenderQuantity/@unitCode |                          cbc:ReceivedForeignTenderQuantity/@unitCode |                          cbc:MaximumVariantQuantity/@unitCode |                          cbc:TotalPackageQuantity/@unitCode" priority="1017" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(../@unitCodeListID!='UN/ECE rec 20') ) and ( not(../@unitCodeListAgencyName!='United Nations Economic Commission for Europe') ) and ( not(../@unitCodeListAgencyID!='6') ) and contains('04050810111314151617181920212223242526272829303132333435363738404143444546474853545657585960616263646669717273747677788081848587899091929394959697981A1B1C1D1E1F1G1H1I1J1K1L1M1X2A2B2C2I2J2K2L2M2N2P2Q2R2U2V2W2X2Y2Z3B3C3E3G3H3I4A4B4C4E4G4H4K4L4M4N4O4P4Q4R4T4U4W4X5A5B5C5E5F5G5H5I5J5K5P5QA1A10A11A12A13A14A15A16A17A18A19A2A20A21A22A23A24A25A26A27A28A29A3A30A31A32A33A34A35A36A37A38A39A4A40A41A42A43A44A45A47A48A49A5A50A51A52A53A54A55A56A57A58A6A60A61A62A63A64A65A66A67A68A69A7A70A71A73A74A75A76A77A78A79A8A80A81A82A83A84A85A86A87A88A89A9A90A91A93A94A95A96A97A98AAABACRADAEAHAIAJAKALAMAMHAMPANNAPAPZAQARAREASASMASUATMATTAVAWAYAZB0B1B11B12B13B14B15B16B18B2B20B21B22B23B24B25B26B27B28B29B3B31B32B33B34B35B36B37B38B39B4B40B41B42B43B44B45B46B47B48B49B5B50B51B52B53B54B55B56B57B58B59B6B60B61B62B63B64B65B66B67B69B7B70B71B72B73B74B75B76B77B78B79B8B81B83B84B85B86B87B88B89B9B90B91B92B93B94B95B96B97B98B99BARBBBDBEBFTBGBHBHPBILBJBKBLBLDBLLBOBPBQLBRBTBTUBUABUIBWBXBZC0C1C10C11C12C13C14C15C16C17C18C19C2C20C22C23C24C25C26C27C28C29C3C30C31C32C33C34C35C36C38C39C4C40C41C42C43C44C45C46C47C48C49C5C50C51C52C53C54C55C56C57C58C59C6C60C61C62C63C64C65C66C67C68C69C7C70C71C72C73C75C76C77C78C8C80C81C82C83C84C85C86C87C88C89C9C90C91C92C93C94C95C96C97C98C99CACCTCDLCELCENCGCGMCHCJCKCKGCLCLFCLTCMKCMQCMTCNPCNTCOCOUCQCRCSCTCTMCUCURCVCWACWICYCZD1D10D12D13D14D15D16D17D18D19D2D20D21D22D23D24D25D26D27D28D29D30D31D32D33D34D35D37D38D39D40D41D42D43D44D45D46D47D48D49D5D50D51D52D53D54D55D56D57D58D59D6D60D61D62D63D64D65D66D67D69D7D70D71D72D73D74D75D76D77D79D8D80D81D82D83D85D86D87D88D89D9D90D91D92D93D94D95D96D97D98D99DAADADDAYDBDCDDDEDECDGDIDJDLTDMKDMQDMTDNDPCDPRDPTDQDRDRADRIDRLDRMDSDTDTNDUDWTDXDYDZNDZPE2E3E4E5EAEBECEPEQEVF1F9FAHFARFBFCFDFEFFFGFHFLFMFOTFPFRFSFTKFTQG2G3G7GBGBQGCGDGEGFGFIGGRGHGIAGIIGJGKGLGLDGLIGLLGMGNGOGPGQGRMGRNGROGRTGTGVGWGWHGYGZH1H2HAHARHBAHBXHCHDHEHFHGMHHHIHIUHJHKHLHLTHMHMQHMTHNHOHPHPAHSHTHTZHURHYIAICIEIFIIILIMINHINKINQIPITIUIVJ2JBJEJGJKJMJOJOUJRK1K2K3K5K6KAKBKBAKDKELKFKGKGMKGSKHZKIKJKJOKLKMHKMKKMQKNIKNSKNTKOKPAKPHKPOKPPKRKSKSDKSHKTKTMKTNKURKVAKVRKVTKWKWHKWTKXL2LALBRLBTLCLDLELEFLFLHLILJLKLMLNLOLPLPALRLSLTNLTRLUMLUXLXLYM0M1M4M5M7M9MAMALMAMMAWMBEMBFMBRMCMCUMDMFMGMMHZMIKMILMINMIOMIUMKMLDMLTMMKMMQMMTMONMPAMQMQHMQSMSKMTMTKMTQMTRMTSMVMVAMWHN1N2N3NANARNBNBBNCNCLNDNENEWNFNGNHNINIUNJNLNMINMPNNNPLNPRNPTNQNRNRLNTNTTNUNVNXNYOAOHMONONZOPOTOZOZAOZIP0P1P2P3P4P5P6P7P8P9PAPALPBPDPEPFPGPGLPIPKPLPMPNPOPQPRPSPTPTDPTIPTLPUPVPWPYPZQ3QAQANQBQDQHQKQRQTQTDQTIQTLQTRR1R4R9RARDRGRHRKRLRMRNRORPRPMRPSRSRTRUS3S4S5S6S7S8SASANSCOSCRSDSESECSETSGSHTSIESKSLSMISNSOSPSQSRSSSSTSTSTISTNSVSWSXT0T1T3T4T5T6T7T8TATAHTCTDTETFTITJTKTLTNTNETPTPRTQTQDTRTRLTSTSDTSHTTTUTVTWTYU1U2UAUBUCUDUEUFUHUMVAVIVLTVQVSW2W4WAWBWCDWEWEBWEEWGWHWHRWIWMWRWSDWTTWWX1YDKYDQYLYRDYTZ1Z2Z3Z4Z5Z6Z8ZPZZ',concat('',.,'')) ) or ( ( not(../@unitCodeListID!='UN/ECE rec 20') ) and ( not(../@unitCodeListAgencyName!='United Nations Economic Commission for Europe') ) and ( not(../@unitCodeListAgencyID!='6') ) and contains('05060810111314151617181920212223242526272829303132333435363738404143444546474853545657585960616263646669717273747677788081848587899091929394959697981A1B1C1D1E1F1G1H1I1J1K1L1M1X2A2B2C2G2H2I2J2K2L2M2N2P2Q2R2U2V2W2X2Y2Z3B3C3E3G3H3I4A4B4C4E4G4H4K4L4M4N4O4P4Q4R4T4U4W4X5A5B5C5E5F5G5H5I5J5K5P5QA1A10A11A12A13A14A15A16A17A18A19A2A20A21A22A23A24A25A26A27A28A29A3A30A31A32A33A34A35A36A37A38A39A4A40A41A42A43A44A45A47A48A49A5A50A51A52A53A54A55A56A57A58A59A6A60A61A62A63A64A65A66A67A68A69A7A70A71A73A74A75A76A77A78A79A8A80A81A82A83A84A85A86A87A88A89A9A90A91A93A94A95A96A97A98A99AAABACRACTADAEAHAIAJAKALAMAMHAMPANNAPAPZAQARAREASASMASUATMATTAVAWAYAZB0B1B10B11B12B13B14B15B16B17B18B19B2B20B21B22B23B24B25B26B27B28B29B3B30B31B32B33B34B35B36B37B38B39B4B40B41B42B43B44B45B46B47B48B49B5B50B51B52B53B54B55B56B57B58B59B6B60B61B62B63B64B65B66B67B68B69B7B70B71B72B73B74B75B76B77B78B79B8B80B81B82B83B84B85B86B87B88B89B9B90B91B92B93B94B95B96B97B98B99BARBBBDBEBFTBGBHBHPBILBJBKBLBLDBLLBOBPBQLBRBTBTUBUABUIBWBXBZC0C1C10C11C12C13C14C15C16C17C18C19C2C20C21C22C23C24C25C26C27C28C29C3C30C31C32C33C34C35C36C37C38C39C4C40C41C42C43C44C45C46C47C48C49C5C50C51C52C53C54C55C56C57C58C59C6C60C61C62C63C64C65C66C67C68C69C7C70C71C72C73C74C75C76C77C78C79C8C80C81C82C83C84C85C86C87C88C89C9C90C91C92C93C94C95C96C97C98C99CACCTCDLCELCENCGCGMCHCJCKCKGCLCLFCLTCMKCMQCMTCNPCNTCOCOUCQCRCSCTCTGCTMCTNCUCURCVCWACWICYCZD03D04D1D10D11D12D13D14D15D16D17D18D19D2D20D21D22D23D24D25D26D27D28D29D30D31D32D33D34D35D36D37D38D39D40D41D42D43D44D45D46D47D48D49D5D50D51D52D53D54D55D56D57D58D59D6D60D61D62D63D64D65D66D67D68D69D7D70D71D72D73D74D75D76D77D78D79D8D80D81D82D83D85D86D87D88D89D9D90D91D92D93D94D95D96D97D98D99DAADADDAYDBDCDDDEDECDGDIDJDLTDMADMKDMODMQDMTDNDPCDPRDPTDQDRDRADRIDRLDRMDSDTDTNDUDWTDXDYDZNDZPE01E07E08E09E10E11E12E14E15E16E17E18E19E2E20E21E22E23E25E27E28E3E30E31E32E33E34E35E36E37E38E39E4E40E41E42E43E44E45E46E47E48E49E5E50E51E52E53E54E55E56E57E58E59E60E61E62E63E64E65E66E67E68E69E70E71E72E73E74E75E76E77E78E79E80E81E82E83E84E85E86E87E88E89E90E91E92E93E94E95E96E97E98E99EAEBECEPEQEVF01F02F03F04F05F06F07F08F1F10F11F12F13F14F15F16F17F18F19F20F21F22F23F24F25F26F27F28F29F30F31F32F33F34F35F36F37F38F39F40F41F42F43F44F45F46F47F48F49F50F51F52F53F54F55F56F57F58F59F60F61F62F63F64F65F66F67F68F69F70F71F72F73F74F75F76F77F78F79F80F81F82F83F84F85F86F87F88F89F9F90F91F92F93F94F95F96F97F98F99FAHFARFBFBMFCFDFEFFFGFHFITFLFMFOTFPFRFSFTKFTQG01G04G05G06G08G09G10G11G12G13G14G15G16G17G18G19G2G20G21G23G24G25G26G27G28G29G3G30G31G32G33G34G35G36G37G38G39G40G41G42G43G44G45G46G47G48G49G50G51G52G53G54G55G56G57G58G59G60G61G62G63G64G65G66G67G68G69G7G70G71G72G73G74G75G76G77G78G79G80G81G82G83G84G85G86G87G88G89G90G91G92G93G94G95G96G97G98G99GBGBQGCGDGDWGEGFGFIGGRGHGIAGICGIIGIPGJGKGLGLDGLIGLLGMGNGOGPGQGRMGRNGROGRTGTGVGWGWHGYGZH03H04H05H06H07H08H09H1H10H11H12H13H14H15H16H18H19H2H20H21H22H23H24H25H26H27H28H29H30H31H32H33H34H35H36H37H38H39H40H41H42H43H44H45H46H47H48H49H50H51H52H53H54H55H56H57H58H59H60H61H62H63H64H65H66H67H68H69H70H71H72H73H74H75H76H77H78H79H80H81H82H83H84H85H87H88H89H90H91H92H93H94H95H96H98H99HAHARHBAHBXHCHDHDWHEHEAHFHGMHHHIHIUHJHKHKMHLHLTHMHMQHMTHNHOHPHPAHSHTHTZHURHYIAICIEIFIIILIMINHINKINQIPISDITIUIVJ10J12J13J14J15J16J17J18J19J2J20J21J22J23J24J25J26J27J28J29J30J31J32J33J34J35J36J38J39J40J41J42J43J44J45J46J47J48J49J50J51J52J53J54J55J56J57J58J59J60J61J62J63J64J65J66J67J68J69J70J71J72J73J74J75J76J78J79J81J82J83J84J85J87J89J90J91J92J93J94J95J96J97J98J99JBJEJGJKJMJNTJOJOUJPSJRJWLK1K10K11K12K13K14K15K16K17K18K19K2K20K21K22K23K24K25K26K27K28K3K30K31K32K33K34K35K36K37K38K39K40K41K42K43K45K46K47K48K49K5K50K51K52K53K54K55K58K59K6K60K61K62K63K64K65K66K67K68K69K70K71K73K74K75K76K77K78K79K80K81K82K83K84K85K86K87K88K89K90K91K92K93K94K95K96K97K98K99KAKATKBKBAKCCKDKDWKELKFKGKGMKGSKHYKHZKIKICKIPKJKJOKLKLKKLXKMAKMHKMKKMQKMTKNIKNSKNTKOKPAKPHKPOKPPKRKSKSDKSHKTKTMKTNKURKVAKVRKVTKWKWHKWOKWTKXL10L11L12L13L14L15L16L17L18L19L2L20L21L23L24L25L26L27L28L29L30L31L32L33L34L35L36L37L38L39L40L41L42L43L44L45L46L47L48L49L50L51L52L53L54L55L56L57L58L59L60L61L62L63L64L65L66L67L68L69L70L71L72L73L74L75L76L77L78L79L80L81L82L83L84L85L86L87L88L89L90L91L92L93L94L95L96L98L99LALACLBRLBTLCLDLELEFLFLHLILJLKLMLNLOLPLPALRLSLTNLTRLUBLUMLUXLXLYM0M1M10M11M12M13M14M15M16M17M18M19M20M21M22M23M24M25M26M27M29M30M31M32M33M34M35M36M37M38M39M4M40M41M42M43M44M45M46M47M48M49M5M50M51M52M53M55M56M57M58M59M60M61M62M63M64M65M66M67M68M69M7M70M71M72M73M74M75M76M77M78M79M80M81M82M83M84M85M86M87M88M89M9M90M91M92M93M94M95M96M97M98M99MAMAHMALMAMMARMAWMBEMBFMBRMCMCUMDMFMGMMHZMIKMILMINMIOMIUMKMLDMLTMMKMMQMMTMNDMONMPAMQMQHMQSMSKMTMTKMTQMTRMTSMVMVAMWHN1N10N11N12N13N14N15N16N17N18N19N2N20N21N22N23N24N25N26N27N28N29N3N30N31N32N33N34N35N36N37N38N39N40N41N42N43N44N45N46N47N48N49N50N51N52N53N54N55N56N57N58N59N60N61N62N63N64N65N66N67N68N69N70N71N72N73N74N75N76N77N78N79N80N81N82N83N84N85N86N87N88N89N90N91N92N93N94N95N96N97N98N99NANARNBNBBNCNCLNDNENEWNFNGNHNINILNIUNJNLNMINMPNNNPLNPRNPTNQNRNRLNTNTTNUNVNXNYOAODEOHMONONZOPOTOZOZAOZIP0P1P10P11P12P13P14P15P16P17P18P19P2P20P21P22P23P24P25P26P27P28P29P3P30P31P32P33P34P35P36P37P38P39P4P40P41P42P43P44P45P46P47P48P49P5P50P51P52P53P54P55P56P57P58P59P6P60P61P62P63P64P65P66P67P68P69P7P70P71P72P73P74P75P76P77P78P79P8P80P81P82P83P84P85P86P87P88P89P9P90P91P92P93P94P95P96P97P98P99PAPALPBPDPEPFPFLPGPGLPIPKPLPLAPMPNPOPQPRPSPTPTDPTIPTLPUPVPWPYPZQ10Q11Q12Q13Q14Q15Q16Q17Q18Q19Q20Q21Q22Q23Q24Q25Q26Q27Q28Q29Q30Q3QAQANQBQDQHQKQRQTQTDQTIQTLQTRR1R4R9RARDRGRHRKRLRMRNROROMRPRPMRPSRSRTRUS3S4S5S6S7S8SASANSCOSCRSDSESECSETSGSHTSIESKSLSMISNSOSPSQSQRSRSSSSTSTSTCSTISTKSTLSTNSTWSVSWSXSYRT0T1T3T4T5T6T7T8TATAHTANTCTDTETFTITICTIPTJTKTKMTLTMSTNTNETPTPRTQTQDTRTRLTSTSDTSHTSTTTTTSTUTVTWTYU1U2UAUBUCUDUEUFUHUMVAVIVLTVPVQVSW2W4WAWBWCDWEWEBWEEWGWHWHRWIWMWRWSDWTTWWX1YDKYDQYLYRDYTZ1Z11Z2Z3Z4Z5Z6Z8ZPZZ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'UnitOfMeasure-2.0 UnitOfMeasure-2.1' in the context 'cbc:TotalPackagesQuantity/@unitCode |                          cbc:MinimumQuantity/@unitCode |                          cbc:MaximumQuantity/@unitCode |                          cbc:Quantity/@unitCode |                          cbc:ValueQuantity/@unitCode |                          cbc:ContentUnitQuantity/@unitCode |                          cbc:MinimumOrderQuantity/@unitCode |                          cbc:MaximumOrderQuantity/@unitCode |                          cbc:TotalGoodsItemQuantity/@unitCode |                          cbc:TotalTransportHandlingUnitQuantity/@unitCode |                          cbc:ConsignmentQuantity/@unitCode |                          cbc:ChildConsignmentQuantity/@unitCode |                          cbc:GasPressureQuantity/@unitCode |                          cbc:ActualTemperatureReductionQuantity/@unitCode |                          cbc:NormalTemperatureReductionQuantity/@unitCode |                          cbc:DifferenceTemperatureReductionQuantity/@unitCode |                          cbc:ConsumptionEnergyQuantity/@unitCode |                          cbc:ConsumptionWaterQuantity/@unitCode |                          cbc:InvoicedQuantity/@unitCode |                          cbc:TotalDeliveredQuantity/@unitCode |                          cbc:TotalConsumedQuantity/@unitCode |                          cbc:BasicConsumedQuantity/@unitCode |                          cbc:CreditedQuantity/@unitCode |                          cbc:DebitedQuantity/@unitCode |                          cbc:BatchQuantity/@unitCode |                          cbc:ConsumerUnitQuantity/@unitCode |                          cbc:DeliveredQuantity/@unitCode |                          cbc:BackorderQuantity/@unitCode |                          cbc:OutstandingQuantity/@unitCode |                          cbc:OversupplyQuantity/@unitCode |                          cbc:ExpectedQuantity/@unitCode |                          cbc:ThresholdQuantity/@unitCode |                          cbc:VarianceQuantity/@unitCode |                          cbc:TimeDeltaDaysQuantity/@unitCode |                          cbc:ExpectedOperatorQuantity/@unitCode |                          cbc:MaximumOperatorQuantity/@unitCode |                          cbc:CustomsTariffQuantity/@unitCode |                          cbc:ChargeableQuantity/@unitCode |                          cbc:ReturnableQuantity/@unitCode |                          cbc:SharesNumberQuantity/@unitCode |                          cbc:PackQuantity/@unitCode |                          cbc:MinimumInventoryQuantity/@unitCode |                          cbc:MultipleOrderQuantity/@unitCode |                          cbc:TargetInventoryQuantity/@unitCode |                          cbc:MinimumBackorderQuantity/@unitCode |                          cbc:MaximumBackorderQuantity/@unitCode |                          cbc:PreviousMeterQuantity/@unitCode |                          cbc:LatestMeterQuantity/@unitCode |                          cbc:EstimatedConsumedQuantity/@unitCode |                          cbc:PerformanceValueQuantity/@unitCode |                          cbc:BaseQuantity/@unitCode |                          cbc:EstimatedOverallContractQuantity/@unitCode |                          cbc:OperatingYearsQuantity/@unitCode |                          cbc:EmployeeQuantity/@unitCode |                          cbc:ReceivedQuantity/@unitCode |                          cbc:ShortQuantity/@unitCode |                          cbc:RejectedQuantity/@unitCode |                          cbc:CrewQuantity/@unitCode |                          cbc:PassengerQuantity/@unitCode |                          cbc:TotalMeteredQuantity/@unitCode |                          cbc:ReceivedTenderQuantity/@unitCode |                          cbc:ReceivedElectronicTenderQuantity/@unitCode |                          cbc:ReceivedForeignTenderQuantity/@unitCode |                          cbc:MaximumVariantQuantity/@unitCode |                          cbc:TotalPackageQuantity/@unitCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:AllowanceChargeReasonCode" priority="1016" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Adjustment Reason Description') ) and ( not(@listID!='UN/ECE 4465') ) and ( not(@listVersionID!='D03A') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:AllowanceChargeReasonCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/AllowanceChargeReasonCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889ZZZ',concat('',.,'')) ) or ( ( not(@listName!='Allowance Charge Reason Code') ) and ( not(@listID!='UN/ECE 3155') ) and ( not(@listVersionID!='D10B') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:UNECE:AllowanceChargeReasonCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/AllowanceChargeReasonCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697ZZZ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'AllowanceChargeReason-2.0 AllowanceChargeReason-2.1' in the context 'cbc:AllowanceChargeReasonCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:ChannelCode" priority="1015" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Communication Address Code Qualifier') ) and ( not(@listID!='UN/ECE 3155') ) and ( not(@listVersionID!='D03A') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:ChannelCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/ChannelCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AAABACADAEAFAGAHAIAJAKALAMANAOAPCAEIEMEXFTFXGMIEIMMAPBPSSWTETGTLTMTTTXXFXGXHXIXJ',concat('',.,'')) ) or ( ( not(@listName!='Channel Code') ) and ( not(@listID!='') ) and ( not(@listVersionID!='D10B') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:UNECE:CommunicationMeansTypeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/ChannelCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AAABACADAEAFAGAHAIAJAKALAMANAOAPAQARASATAUAVAWCAEIEMEXFTFXGMIEIMMAPBPSSWTETGTLTMTTTXXFXGXHXIXJ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'Channel-2.0 Channel-2.1' in the context 'cbc:ChannelCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:CardChipCode" priority="1014" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Chip') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:ChipCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/ChipCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('ChipMagneticStripe',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'Chip-2.0' in the context 'cbc:CardChipCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:IdentificationCode" priority="1013" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Country') ) and ( not(@listID!='ISO3166-1') ) and ( not(@listVersionID!='0.3') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:CountryIdentificationCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/CountryIdentificationCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AFALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBABWBVBRIOBNBGBFBIKHCMCACVKYCFTDCLCNCXCCCOKMCGCKCRCIHRCUCYCZDKDJDMDOTPECEGSVGQEREEETFKFOFJFIFRFXGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGNGWGYHTHMHNHKHUISINIDIRIQIEILITJMJPJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMSMAMZMMNANRNPANNLNCNZNINENGNUNFMPNOOMPKPWPAPGPYPEPHPNPLPTPRQARERORURWSHKNLCPMVCWSSMSASNSCSLSGSKSISBSOZAGSESLKSDSRSJSZSECHSYSTTWTJTZTHMKTGTKTOTTTNTRTMTCTVUGUAAEGBUMUSUYUZVUVAVEVNVGVIWFEHYEYUZRZMZW',concat('',.,'')) ) or ( ( not(@listName!='Country Identification Code') ) and ( not(@listID!='') ) and ( not(@listVersionID!='SecondEdition2006VI-12') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:identifierlist:standard:5:ISO316612A') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/CountryIdentificationCode-2.1.gc') ) and ( not(@listAgencyName!='International Organization for Standardization') ) and ( not(@listAgencyID!='5') ) and contains('ADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBMBNBOBQBRBSBTBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDJDKDMDODZECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSYEYTZAZMZW',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'CountryIdentification-2.0 CountryIdentification-2.1' in the context 'cbc:IdentificationCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:DocumentCurrencyCode |                          cbc:TaxCurrencyCode |                          cbc:PricingCurrencyCode |                          cbc:PaymentCurrencyCode |                          cbc:PaymentAlternativeCurrencyCode |                          cbc:RequestedInvoiceCurrencyCode |                          cbc:SourceCurrencyCode |                          cbc:TargetCurrencyCode |                          cbc:CurrencyCode" priority="1012" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Currency') ) and ( not(@listID!='ISO 4217 Alpha') ) and ( not(@listVersionID!='2001') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/cefact/CurrencyCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AEDAFNALLAMDANGAOAARSAUDAWGAZMBAMBBDBDTBGNBHDBIFBMDBNDBOBBRLBSDBTNBWPBYRBZDCADCDFCHFCLPCNYCOPCRCCUPCVECYPCZKDJFDKKDOPDZDEEKEGPERNETBEURFJDFKPGBPGELGHCGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDIRRISKJMDJODJPYKESKGSKHRKMFKPWKRWKWDKYDKZTLAKLBPLKRLRDLSLLTLLVLLYDMADMDLMGFMKDMMKMNTMOPMROMTLMURMVRMWKMXNMYRMZMNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARROLRUBRWFSARSBDSCRSDDSEKSGDSHPSITSKKSLLSOSSRGSTDSVCSYPSZLTHBTJSTMMTNDTOPTRLTTDTWDTZSUAHUGXUSDUYUUZSVEBVNDVUVWSTXAFXAGXAUXCDXDRXOFXPDXPFXPTYERYUMZARZMKZWD',concat('',.,'')) ) or ( ( not(@listName!='Currency Code') ) and ( not(@listID!='ISO 4217 Alpha') ) and ( not(@listVersionID!='2012-01-12') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:5:ISO42173A') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/CurrencyCode-2.1.gc') ) and ( not(@listAgencyName!='International Organization for Standardization') ) and ( not(@listAgencyID!='5') ) and contains('AEDAFNALLAMDANGAOAARSAUDAWGAZNBAMBBDBDTBGNBHDBIFBMDBNDBOBBOVBRLBSDBTNBWPBYRBZDCADCDFCHECHFCHWCLFCLPCNYCOPCOUCRCCUCCUPCVECZKDJFDKKDOPDZDEGPERNETBEURFJDFKPGBPGELGHSGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDIRRISKJMDJODJPYKESKGSKHRKMFKPWKRWKWDKYDKZTLAKLBPLKRLRDLSLLTLLVLLYDMADMDLMGAMKDMMKMNTMOPMROMURMVRMWKMXNMXVMYRMZNNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARRONRSDRUBRWFSARSBDSCRSDGSEKSGDSHPSLLSOSSRDSSPSTDSVCSYPSZLTHBTJSTMTTNDTOPTRYTTDTWDTZSUAHUGXUSDUSNUSSUYIUYUUZSVEFVNDVUVWSTXAFXAGXAUXBAXBBXBCXBDXCDXDRXFUXOFXPDXPFXPTXSUXTSXUAXXXYERZARZMKZWL',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'Currency-2.0 Currency-2.1' in the context 'cbc:DocumentCurrencyCode |                          cbc:TaxCurrencyCode |                          cbc:PricingCurrencyCode |                          cbc:PaymentCurrencyCode |                          cbc:PaymentAlternativeCurrencyCode |                          cbc:RequestedInvoiceCurrencyCode |                          cbc:SourceCurrencyCode |                          cbc:TargetCurrencyCode |                          cbc:CurrencyCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:DocumentStatusCode" priority="1011" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Document Status') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:DocumentStatusCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/DocumentStatusCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('CancelledDisputedNoStatusRevised',concat('',.,'')) ) or ( ( not(@listName!='Document Status Code') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.1') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:DocumentStatusCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/DocumentStatusCode-2.1.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('CancelledDisputedNoStatusRevisedConfirmedNotConfirmedRejectedCompleted',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'DocumentStatus-2.0 DocumentStatus-2.1' in the context 'cbc:DocumentStatusCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:LatitudeDirectionCode" priority="1010" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Latitude Direction') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LatitudeDirectionCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/LatitudeDirectionCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('NorthSouth',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'LatitudeDirection-2.0' in the context 'cbc:LatitudeDirectionCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:LineStatusCode" priority="1009" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Line Status') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LineStatusCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/LineStatusCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('AddedCancelledDisputedNoStatusRevised',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'LineStatus-2.0' in the context 'cbc:LineStatusCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:LongitudeDirectionCode" priority="1008" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Longitude Direction') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LongitudeDirectionCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/LongitudeDirectionCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('EastWest',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'LongitudeDirection-2.0' in the context 'cbc:LongitudeDirectionCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:MathematicOperatorCode" priority="1007" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Operator') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:OperatorCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/OperatorCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('DivideMultiply',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'Operator-2.0' in the context 'cbc:MathematicOperatorCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:PackagingTypeCode" priority="1006" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Packaging Type') ) and ( not(@listID!='UN/ECE rec 21') ) and ( not(@listVersionID!='Revision 5') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:PackagingTypeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/PackagingTypeCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('1A1B1D1G1W2C3A3H434A4B4C4D4F4G4H5H5L5M6H6PAAABACADAEAFAGAHAIAJAMAPATAVBABBBCBDBEBFBGBHBIBJBKBLBMBNBOBOBPBQBQBRBSBTBUBVBVBWBXBYBZCACBCCCDCECFCGCHCICJCKCLCMCNCOCPCQCRCSCTCUCVCWCXCYCZDADBDCDGDHDIDJDKDLDMDNDPDRDSDTDUDVDWDXDYECEDEEEFEGEHEIENFCFDFIFLFOFPFRFTFWFXGBGIGRGUGZHAHBHCHGHRIAIBICIDIEIFIGIHIKILINIZJCJGJRJTJYKGLGLTLVLZMBMCMRMSMTMWMXNANENFNGNSNTNUNVPAPBPCPDPEPFPGPHPIPJPKPLPNPOPRPTPUPVPXPYPZQAQBQCQDQFQGQHQJQKQLQMQNQPQQQRQSRDRGRJRKRLRORTRZSASBSCSDSESHSISKSLSMSOSPSSSTSUSVSWSXSYSZTBTCTDTITKTLTNTOTRTSTUTVTYTZUCVAVGVIVKVLVOVPVQVRVYWAWBWCWDWFWGWHWJWKWLWMWNWPWQWRWSWTWUWVWWWXWYWZXAXBXCXDXFXGXHXJXKYAYBYCYDYFYGYHYJYKYLYMYNYPYQYRYSYTYVYWYXYYYZZAZBZCZDZFZGZHZJZKZLZMZNZPZQZRZSZTZUZVZWZXZYZZ',concat('',.,'')) ) or ( ( not(@listName!='Packaging Type Code') ) and ( not(@listID!='UN/ECE rec 21') ) and ( not(@listVersionID!='9e') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:PackagingTypeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/PackagingTypeCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('1A1B1D1F1G1W2C3A3H43444A4B4C4D4F4G4H5H5L5M6H6P7A7B8A8B8CAAABACADAEAFAGAHAIAJALAMAPATAVB4BABBBCBDBEBFBGBHBIBJBKBLBMBNBOBPBQBRBSBTBUBVBWBXBYBZCACBCCCDCECFCGCHCICJCKCLCMCNCOCPCQCRCSCTCUCVCWCXCYCZDADBDCDGDHDIDJDKDLDMDNDPDRDSDTDUDVDWDXDYECEDEEEFEGEHEIENFBFCFDFEFIFLFOFPFRFTFWFXGBGIGLGRGUGYGZHAHBHCHGHNHRIAIBICIDIEIFIGIHIKILINIZJBJCJGJRJTJYKGKILELGLTLULVLZMAMBMCMEMRMSMTMWMXNANENFNGNSNTNUNVOAOBOCODOEOFOKOTOUP2PAPBPCPDPEPFPGPHPIPJPKPLPNPOPPPRPTPUPVPXPYPZQAQBQCQDQFQGQHQJQKQLQMQNQPQQQRQSRDRGRJRKRLRORTRZSASBSCSDSESHSISKSLSMSOSPSSSTSUSVSWSXSYSZT1TBTCTDTETGTITKTLTNTOTRTSTTTUTVTWTYTZUCUNVAVGVIVKVLVOVPVQVNVRVSVYWAWBWCWDWFWGWHWJWKWLWMWNWPWQWRWSWTWUWVWWWXWYWZXAXBXCXDXFXGXHXJXKYAYBYCYDYFYGYHYJYKYLYMYNYPYQYRYSYTYVYWYXYYYZZAZBZCZDZFZGZHZJZKZLZMZNZPZQZRZSZTZUZVZWZXZYZZ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'PackagingType-2.0 PackagingType-2.1' in the context 'cbc:PackagingTypeCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:PaymentMeansCode" priority="1005" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Payment Means') ) and ( not(@listID!='UN/ECE 4461') ) and ( not(@listVersionID!='D03A') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:PaymentMeansCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/PaymentMeansCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253606162636465666770747576777891929394959697ZZZ',concat('',.,'')) ) or ( ( not(@listName!='Payment Means Code') ) and ( not(@listID!='UN/ECE 4461') ) and ( not(@listVersionID!='D10B') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:UNECE:PaymentMeansCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/PaymentMeansCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253606162636465666770747576777891929394959697ZZZ',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'PaymentMeans-2.0 PaymentMeans-2.1' in the context 'cbc:PaymentMeansCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:ReceiptAdviceTypeCode" priority="1004" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Receipt Advice Type Code') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.1') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:ReceiptAdviceTypeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/ReceiptAdviceTypeCode-2.1.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('PreliminaryActualReturn',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'ReceiptAdviceType-2.1' in the context 'cbc:ReceiptAdviceTypeCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:SubstitutionStatusCode" priority="1003" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Substitution Status') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2.0') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:SubstitutionStatusCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/SubstitutionStatusCode-2.0.gc') ) and ( not(@listAgencyName!='OASIS Universal Business Language') ) and ( not(@listAgencyID!='UBL') ) and contains('OriginalSubstitution',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'SubstitutionStatus-2.0' in the context 'cbc:SubstitutionStatusCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:TransportEquipmentTypeCode" priority="1002" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Equipment type code qualifier') ) and ( not(@listID!='UN/ECE 8053') ) and ( not(@listVersionID!='D.05B') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:TransportEquipmentTypeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/TransportEquipmentTypeCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AAABADAEAGAHAIAJAKALAMANAOAPAQATBLBPNBPOBPPBPQBPRBPSBPTBPUBPVBPWBPXBPYBRBXCHCNDPAEFPEYPFPNFPRILLARLUMPAPAPBPPFPPLPPAPSTRFRGRGFRORRSPPSTRSWTETPTSTSUUL',concat('',.,'')) ) or ( ( not(@listName!='Transport Equipment Type Code') ) and ( not(@listID!='UN/ECE 8053') ) and ( not(@listVersionID!='D10B') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:UNECE:TransportEquipmentCategoryCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/TransportEquipmentTypeCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('AAABADAEAGAHAIAJAKALAMANAOAPAQATBLBPNBPOBPPBPQBPRBPSBPTBPUBPVBPWBPXBPYBPZBRBXCHCNDPADPBEFPEYPFPNFPRILLARLUMPAPAPBPPFPPLPPAPSTRFRGRGFRORRSPPSTRSWTETPTSTSUUL',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'TransportEquipmentType-2.0 TransportEquipmentType-2.1' in the context 'cbc:TransportEquipmentTypeCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:TransportModeCode" priority="1001" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Transport Mode') ) and ( not(@listID!='UN/ECE rec 16') ) and ( not(@listVersionID!='Presented by the CDWG') ) and ( not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:TransportModeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.0-update/cl/gc/default/TransportModeCode-2.0.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('0123456789',concat('',.,'')) ) or ( ( not(@listName!='Transport Mode Code') ) and ( not(@listID!='UN/ECE rec 19') ) and ( not(@listVersionID!='2') ) and ( not(@listSchemeURI!='urn:un:unece:uncefact:codelist:standard:UNECE:TransportModeCode') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/TransportModeCode-2.1.gc') ) and ( not(@listAgencyName!='United Nations Economic Commission for Europe') ) and ( not(@listAgencyID!='6') ) and contains('0123456789',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'TransportMode-2.0 TransportMode-2.1' in the context 'cbc:TransportModeCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="cbc:WeekDayCode" priority="1000" mode="M2">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( false() or ( ( not(@listName!='Week Day Code') ) and ( not(@listID!='') ) and ( not(@listVersionID!='2004') ) and ( not(@listSchemeURI!='urn:iso:8601:WeekDay:codelist') ) and ( not(@listURI!='http://docs.oasis-open.org/ubl/os-UBL-2.1/cl/gc/default/WeekDayCode-2.1.gc') ) and ( not(@listAgencyName!='International Organization for Standardization') ) and ( not(@listAgencyID!='5') ) and contains('1234567',concat('',.,'')) ) ) "/>
         <axsl:otherwise>Value supplied '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' is unacceptable for constraints identified by 'WeekDay-2.1' in the context 'cbc:WeekDayCode'<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-3"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M2"/>
   <axsl:template match="@*|node()" priority="-2" mode="M2">
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M2"/>
   </axsl:template>
</axsl:stylesheet>